Package org.lwjgl.openal

# Class EFX10

java.lang.Object
org.lwjgl.openal.EFX10

public final class EFX10 extends Object
Implementation of the OpenAL extension ALC_EXT_EFX (version 1.0). Contains necessary fields, methods and a range of supplementary fields containing minimum, maximum and default values of the former fields.

On top of regular functions defined in the ALC_EXT_EFX, there are also several convenience functions. Namely alGen... and alDelete... which do not take a Java buffer parameter and automatically create or delete a single object, without the overhead of using a buffer.

For comments and specification of functions and fields, refer to the "Effects Extension Guide" which is part of the OpenAL SDK and can be downloaded from: http://connect.creativelabs.com/openal/Downloads/Forms/AllItems.aspx

Version:
  $Revision$ $Id$
Author:
  Ciardhubh invalid input: '<'ciardhubh[at]ciardhubh.de>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AL_AIR_ABSORPTION_FACTOR`
`static final int`
`AL_AUTOWAH_ATTACK_TIME`
`static final float`
`AL_AUTOWAH_DEFAULT_ATTACK_TIME`
`static final float`
`AL_AUTOWAH_DEFAULT_PEAK_GAIN`
`static final float`
`AL_AUTOWAH_DEFAULT_RELEASE_TIME`
`static final float`
`AL_AUTOWAH_DEFAULT_RESONANCE`
`static final float`
`AL_AUTOWAH_MAX_ATTACK_TIME`
`static final float`
`AL_AUTOWAH_MAX_PEAK_GAIN`
`static final float`
`AL_AUTOWAH_MAX_RELEASE_TIME`
`static final float`
`AL_AUTOWAH_MAX_RESONANCE`
`static final float`
`AL_AUTOWAH_MIN_ATTACK_TIME`
`static final float`
`AL_AUTOWAH_MIN_PEAK_GAIN`
`static final float`
`AL_AUTOWAH_MIN_RELEASE_TIME`
`static final float`
`AL_AUTOWAH_MIN_RESONANCE`
`static final int`
`AL_AUTOWAH_PEAK_GAIN`
`static final int`
`AL_AUTOWAH_RELEASE_TIME`
`static final int`
`AL_AUTOWAH_RESONANCE`
`static final int`
`AL_AUXILIARY_SEND_FILTER`
`static final int`
`AL_AUXILIARY_SEND_FILTER_GAIN_AUTO`
`static final int`
`AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO`
`static final int`
`AL_BANDPASS_GAIN`
`static final int`
`AL_BANDPASS_GAINHF`
`static final int`
`AL_BANDPASS_GAINLF`
`static final float`
`AL_CHORUS_DEFAULT_DELAY`
`static final float`
`AL_CHORUS_DEFAULT_DEPTH`
`static final float`
`AL_CHORUS_DEFAULT_FEEDBACK`
`static final int`
`AL_CHORUS_DEFAULT_PHASE`
`static final float`
`AL_CHORUS_DEFAULT_RATE`
`static final int`
`AL_CHORUS_DEFAULT_WAVEFORM`
`static final int`
`AL_CHORUS_DELAY`
`static final int`
`AL_CHORUS_DEPTH`
`static final int`
`AL_CHORUS_FEEDBACK`
`static final float`
`AL_CHORUS_MAX_DELAY`
`static final float`
`AL_CHORUS_MAX_DEPTH`
`static final float`
`AL_CHORUS_MAX_FEEDBACK`
`static final int`
`AL_CHORUS_MAX_PHASE`
`static final float`
`AL_CHORUS_MAX_RATE`
`static final int`
`AL_CHORUS_MAX_WAVEFORM`
`static final float`
`AL_CHORUS_MIN_DELAY`
`static final float`
`AL_CHORUS_MIN_DEPTH`
`static final float`
`AL_CHORUS_MIN_FEEDBACK`
`static final int`
`AL_CHORUS_MIN_PHASE`
`static final float`
`AL_CHORUS_MIN_RATE`
`static final int`
`AL_CHORUS_MIN_WAVEFORM`
`static final int`
`AL_CHORUS_PHASE`
`static final int`
`AL_CHORUS_RATE`
`static final int`
`AL_CHORUS_WAVEFORM`
`static final int`
`AL_CHORUS_WAVEFORM_SINUSOID`
`static final int`
`AL_CHORUS_WAVEFORM_TRIANGLE`
`static final int`
`AL_COMPRESSOR_DEFAULT_ONOFF`
`static final int`
`AL_COMPRESSOR_MAX_ONOFF`
`static final int`
`AL_COMPRESSOR_MIN_ONOFF`
`static final int`
`AL_COMPRESSOR_ONOFF`
`static final int`
`AL_CONE_OUTER_GAINHF`
`static final float`
`AL_DEFAULT_AIR_ABSORPTION_FACTOR`
`static final int`
`AL_DEFAULT_AUXILIARY_SEND_FILTER_GAIN_AUTO`
`static final int`
`AL_DEFAULT_AUXILIARY_SEND_FILTER_GAINHF_AUTO`
`static final float`
`AL_DEFAULT_CONE_OUTER_GAINHF`
`static final int`
`AL_DEFAULT_DIRECT_FILTER_GAINHF_AUTO`
`static final float`
`AL_DEFAULT_METERS_PER_UNIT`
`static final float`
`AL_DEFAULT_ROOM_ROLLOFF_FACTOR`
`static final int`
`AL_DIRECT_FILTER`
`static final int`
`AL_DIRECT_FILTER_GAINHF_AUTO`
`static final float`
`AL_DISTORTION_DEFAULT_EDGE`
`static final float`
`AL_DISTORTION_DEFAULT_EQBANDWIDTH`
`static final float`
`AL_DISTORTION_DEFAULT_EQCENTER`
`static final float`
`AL_DISTORTION_DEFAULT_GAIN`
`static final float`
`AL_DISTORTION_DEFAULT_LOWPASS_CUTOFF`
`static final int`
`AL_DISTORTION_EDGE`
`static final int`
`AL_DISTORTION_EQBANDWIDTH`
`static final int`
`AL_DISTORTION_EQCENTER`
`static final int`
`AL_DISTORTION_GAIN`
`static final int`
`AL_DISTORTION_LOWPASS_CUTOFF`
`static final float`
`AL_DISTORTION_MAX_EDGE`
`static final float`
`AL_DISTORTION_MAX_EQBANDWIDTH`
`static final float`
`AL_DISTORTION_MAX_EQCENTER`
`static final float`
`AL_DISTORTION_MAX_GAIN`
`static final float`
`AL_DISTORTION_MAX_LOWPASS_CUTOFF`
`static final float`
`AL_DISTORTION_MIN_EDGE`
`static final float`
`AL_DISTORTION_MIN_EQBANDWIDTH`
`static final float`
`AL_DISTORTION_MIN_EQCENTER`
`static final float`
`AL_DISTORTION_MIN_GAIN`
`static final float`
`AL_DISTORTION_MIN_LOWPASS_CUTOFF`
`static final int`
`AL_EAXREVERB_AIR_ABSORPTION_GAINHF`
`static final int`
`AL_EAXREVERB_DECAY_HFLIMIT`
`static final int`
`AL_EAXREVERB_DECAY_HFRATIO`
`static final int`
`AL_EAXREVERB_DECAY_LFRATIO`
`static final int`
`AL_EAXREVERB_DECAY_TIME`
`static final float`
`AL_EAXREVERB_DEFAULT_AIR_ABSORPTION_GAINHF`
`static final int`
`AL_EAXREVERB_DEFAULT_DECAY_HFLIMIT`
`static final float`
`AL_EAXREVERB_DEFAULT_DECAY_HFRATIO`
`static final float`
`AL_EAXREVERB_DEFAULT_DECAY_LFRATIO`
`static final float`
`AL_EAXREVERB_DEFAULT_DECAY_TIME`
`static final float`
`AL_EAXREVERB_DEFAULT_DENSITY`
`static final float`
`AL_EAXREVERB_DEFAULT_DIFFUSION`
`static final float`
`AL_EAXREVERB_DEFAULT_ECHO_DEPTH`
`static final float`
`AL_EAXREVERB_DEFAULT_ECHO_TIME`
`static final float`
`AL_EAXREVERB_DEFAULT_GAIN`
`static final float`
`AL_EAXREVERB_DEFAULT_GAINHF`
`static final float`
`AL_EAXREVERB_DEFAULT_GAINLF`
`static final float`
`AL_EAXREVERB_DEFAULT_HFREFERENCE`
`static final float`
`AL_EAXREVERB_DEFAULT_LATE_REVERB_DELAY`
`static final float`
`AL_EAXREVERB_DEFAULT_LATE_REVERB_GAIN`
`static final float`
`AL_EAXREVERB_DEFAULT_LATE_REVERB_PAN_XYZ`
`static final float`
`AL_EAXREVERB_DEFAULT_LFREFERENCE`
`static final float`
`AL_EAXREVERB_DEFAULT_MODULATION_DEPTH`
`static final float`
`AL_EAXREVERB_DEFAULT_MODULATION_TIME`
`static final float`
`AL_EAXREVERB_DEFAULT_REFLECTIONS_DELAY`
`static final float`
`AL_EAXREVERB_DEFAULT_REFLECTIONS_GAIN`
`static final float`
`AL_EAXREVERB_DEFAULT_REFLECTIONS_PAN_XYZ`
`static final float`
`AL_EAXREVERB_DEFAULT_ROOM_ROLLOFF_FACTOR`
`static final int`
`AL_EAXREVERB_DENSITY`
`static final int`
`AL_EAXREVERB_DIFFUSION`
`static final int`
`AL_EAXREVERB_ECHO_DEPTH`
`static final int`
`AL_EAXREVERB_ECHO_TIME`
`static final int`
`AL_EAXREVERB_GAIN`
`static final int`
`AL_EAXREVERB_GAINHF`
`static final int`
`AL_EAXREVERB_GAINLF`
`static final int`
`AL_EAXREVERB_HFREFERENCE`
`static final int`
`AL_EAXREVERB_LATE_REVERB_DELAY`
`static final int`
`AL_EAXREVERB_LATE_REVERB_GAIN`
`static final int`
`AL_EAXREVERB_LATE_REVERB_PAN`
`static final int`
`AL_EAXREVERB_LFREFERENCE`
`static final float`
`AL_EAXREVERB_MAX_AIR_ABSORPTION_GAINHF`
`static final int`
`AL_EAXREVERB_MAX_DECAY_HFLIMIT`
`static final float`
`AL_EAXREVERB_MAX_DECAY_HFRATIO`
`static final float`
`AL_EAXREVERB_MAX_DECAY_LFRATIO`
`static final float`
`AL_EAXREVERB_MAX_DECAY_TIME`
`static final float`
`AL_EAXREVERB_MAX_DENSITY`
`static final float`
`AL_EAXREVERB_MAX_DIFFUSION`
`static final float`
`AL_EAXREVERB_MAX_ECHO_DEPTH`
`static final float`
`AL_EAXREVERB_MAX_ECHO_TIME`
`static final float`
`AL_EAXREVERB_MAX_GAIN`
`static final float`
`AL_EAXREVERB_MAX_GAINHF`
`static final float`
`AL_EAXREVERB_MAX_GAINLF`
`static final float`
`AL_EAXREVERB_MAX_HFREFERENCE`
`static final float`
`AL_EAXREVERB_MAX_LATE_REVERB_DELAY`
`static final float`
`AL_EAXREVERB_MAX_LATE_REVERB_GAIN`
`static final float`
`AL_EAXREVERB_MAX_LFREFERENCE`
`static final float`
`AL_EAXREVERB_MAX_MODULATION_DEPTH`
`static final float`
`AL_EAXREVERB_MAX_MODULATION_TIME`
`static final float`
`AL_EAXREVERB_MAX_REFLECTIONS_DELAY`
`static final float`
`AL_EAXREVERB_MAX_REFLECTIONS_GAIN`
`static final float`
`AL_EAXREVERB_MAX_ROOM_ROLLOFF_FACTOR`
`static final float`
`AL_EAXREVERB_MIN_AIR_ABSORPTION_GAINHF`
`static final int`
`AL_EAXREVERB_MIN_DECAY_HFLIMIT`
`static final float`
`AL_EAXREVERB_MIN_DECAY_HFRATIO`
`static final float`
`AL_EAXREVERB_MIN_DECAY_LFRATIO`
`static final float`
`AL_EAXREVERB_MIN_DECAY_TIME`
`static final float`
`AL_EAXREVERB_MIN_DENSITY`
`static final float`
`AL_EAXREVERB_MIN_DIFFUSION`
`static final float`
`AL_EAXREVERB_MIN_ECHO_DEPTH`
`static final float`
`AL_EAXREVERB_MIN_ECHO_TIME`
`static final float`
`AL_EAXREVERB_MIN_GAIN`
`static final float`
`AL_EAXREVERB_MIN_GAINHF`
`static final float`
`AL_EAXREVERB_MIN_GAINLF`
`static final float`
`AL_EAXREVERB_MIN_HFREFERENCE`
`static final float`
`AL_EAXREVERB_MIN_LATE_REVERB_DELAY`
`static final float`
`AL_EAXREVERB_MIN_LATE_REVERB_GAIN`
`static final float`
`AL_EAXREVERB_MIN_LFREFERENCE`
`static final float`
`AL_EAXREVERB_MIN_MODULATION_DEPTH`
`static final float`
`AL_EAXREVERB_MIN_MODULATION_TIME`
`static final float`
`AL_EAXREVERB_MIN_REFLECTIONS_DELAY`
`static final float`
`AL_EAXREVERB_MIN_REFLECTIONS_GAIN`
`static final float`
`AL_EAXREVERB_MIN_ROOM_ROLLOFF_FACTOR`
`static final int`
`AL_EAXREVERB_MODULATION_DEPTH`
`static final int`
`AL_EAXREVERB_MODULATION_TIME`
`static final int`
`AL_EAXREVERB_REFLECTIONS_DELAY`
`static final int`
`AL_EAXREVERB_REFLECTIONS_GAIN`
`static final int`
`AL_EAXREVERB_REFLECTIONS_PAN`
`static final int`
`AL_EAXREVERB_ROOM_ROLLOFF_FACTOR`
`static final int`
`AL_ECHO_DAMPING`
`static final float`
`AL_ECHO_DEFAULT_DAMPING`
`static final float`
`AL_ECHO_DEFAULT_DELAY`
`static final float`
`AL_ECHO_DEFAULT_FEEDBACK`
`static final float`
`AL_ECHO_DEFAULT_LRDELAY`
`static final float`
`AL_ECHO_DEFAULT_SPREAD`
`static final int`
`AL_ECHO_DELAY`
`static final int`
`AL_ECHO_FEEDBACK`
`static final int`
`AL_ECHO_LRDELAY`
`static final float`
`AL_ECHO_MAX_DAMPING`
`static final float`
`AL_ECHO_MAX_DELAY`
`static final float`
`AL_ECHO_MAX_FEEDBACK`
`static final float`
`AL_ECHO_MAX_LRDELAY`
`static final float`
`AL_ECHO_MAX_SPREAD`
`static final float`
`AL_ECHO_MIN_DAMPING`
`static final float`
`AL_ECHO_MIN_DELAY`
`static final float`
`AL_ECHO_MIN_FEEDBACK`
`static final float`
`AL_ECHO_MIN_LRDELAY`
`static final float`
`AL_ECHO_MIN_SPREAD`
`static final int`
`AL_ECHO_SPREAD`
`static final int`
`AL_EFFECT_AUTOWAH`
`static final int`
`AL_EFFECT_CHORUS`
`static final int`
`AL_EFFECT_COMPRESSOR`
`static final int`
`AL_EFFECT_DISTORTION`
`static final int`
`AL_EFFECT_EAXREVERB`
`static final int`
`AL_EFFECT_ECHO`
`static final int`
`AL_EFFECT_EQUALIZER`
`static final int`
`AL_EFFECT_FIRST_PARAMETER`
`static final int`
`AL_EFFECT_FLANGER`
`static final int`
`AL_EFFECT_FREQUENCY_SHIFTER`
`static final int`
`AL_EFFECT_LAST_PARAMETER`
`static final int`
`AL_EFFECT_NULL`
`static final int`
`AL_EFFECT_PITCH_SHIFTER`
`static final int`
`AL_EFFECT_REVERB`
`static final int`
`AL_EFFECT_RING_MODULATOR`
`static final int`
`AL_EFFECT_TYPE`
`static final int`
`AL_EFFECT_VOCAL_MORPHER`
`static final int`
`AL_EFFECTSLOT_AUXILIARY_SEND_AUTO`
`static final int`
`AL_EFFECTSLOT_EFFECT`
`static final int`
`AL_EFFECTSLOT_GAIN`
`static final int`
`AL_EFFECTSLOT_NULL`
`static final float`
`AL_EQUALIZER_DEFAULT_HIGH_CUTOFF`
`static final float`
`AL_EQUALIZER_DEFAULT_HIGH_GAIN`
`static final float`
`AL_EQUALIZER_DEFAULT_LOW_CUTOFF`
`static final float`
`AL_EQUALIZER_DEFAULT_LOW_GAIN`
`static final float`
`AL_EQUALIZER_DEFAULT_MID1_CENTER`
`static final float`
`AL_EQUALIZER_DEFAULT_MID1_GAIN`
`static final float`
`AL_EQUALIZER_DEFAULT_MID1_WIDTH`
`static final float`
`AL_EQUALIZER_DEFAULT_MID2_CENTER`
`static final float`
`AL_EQUALIZER_DEFAULT_MID2_GAIN`
`static final float`
`AL_EQUALIZER_DEFAULT_MID2_WIDTH`
`static final int`
`AL_EQUALIZER_HIGH_CUTOFF`
`static final int`
`AL_EQUALIZER_HIGH_GAIN`
`static final int`
`AL_EQUALIZER_LOW_CUTOFF`
`static final int`
`AL_EQUALIZER_LOW_GAIN`
`static final float`
`AL_EQUALIZER_MAX_HIGH_CUTOFF`
`static final float`
`AL_EQUALIZER_MAX_HIGH_GAIN`
`static final float`
`AL_EQUALIZER_MAX_LOW_CUTOFF`
`static final float`
`AL_EQUALIZER_MAX_LOW_GAIN`
`static final float`
`AL_EQUALIZER_MAX_MID1_CENTER`
`static final float`
`AL_EQUALIZER_MAX_MID1_GAIN`
`static final float`
`AL_EQUALIZER_MAX_MID1_WIDTH`
`static final float`
`AL_EQUALIZER_MAX_MID2_CENTER`
`static final float`
`AL_EQUALIZER_MAX_MID2_GAIN`
`static final float`
`AL_EQUALIZER_MAX_MID2_WIDTH`
`static final int`
`AL_EQUALIZER_MID1_CENTER`
`static final int`
`AL_EQUALIZER_MID1_GAIN`
`static final int`
`AL_EQUALIZER_MID1_WIDTH`
`static final int`
`AL_EQUALIZER_MID2_CENTER`
`static final int`
`AL_EQUALIZER_MID2_GAIN`
`static final int`
`AL_EQUALIZER_MID2_WIDTH`
`static final float`
`AL_EQUALIZER_MIN_HIGH_CUTOFF`
`static final float`
`AL_EQUALIZER_MIN_HIGH_GAIN`
`static final float`
`AL_EQUALIZER_MIN_LOW_CUTOFF`
`static final float`
`AL_EQUALIZER_MIN_LOW_GAIN`
`static final float`
`AL_EQUALIZER_MIN_MID1_CENTER`
`static final float`
`AL_EQUALIZER_MIN_MID1_GAIN`
`static final float`
`AL_EQUALIZER_MIN_MID1_WIDTH`
`static final float`
`AL_EQUALIZER_MIN_MID2_CENTER`
`static final float`
`AL_EQUALIZER_MIN_MID2_GAIN`
`static final float`
`AL_EQUALIZER_MIN_MID2_WIDTH`
`static final int`
`AL_FILTER_BANDPASS`
`static final int`
`AL_FILTER_FIRST_PARAMETER`
`static final int`
`AL_FILTER_HIGHPASS`
`static final int`
`AL_FILTER_LAST_PARAMETER`
`static final int`
`AL_FILTER_LOWPASS`
`static final int`
`AL_FILTER_NULL`
`static final int`
`AL_FILTER_TYPE`
`static final float`
`AL_FLANGER_DEFAULT_DELAY`
`static final float`
`AL_FLANGER_DEFAULT_DEPTH`
`static final float`
`AL_FLANGER_DEFAULT_FEEDBACK`
`static final int`
`AL_FLANGER_DEFAULT_PHASE`
`static final float`
`AL_FLANGER_DEFAULT_RATE`
`static final int`
`AL_FLANGER_DEFAULT_WAVEFORM`
`static final int`
`AL_FLANGER_DELAY`
`static final int`
`AL_FLANGER_DEPTH`
`static final int`
`AL_FLANGER_FEEDBACK`
`static final float`
`AL_FLANGER_MAX_DELAY`
`static final float`
`AL_FLANGER_MAX_DEPTH`
`static final float`
`AL_FLANGER_MAX_FEEDBACK`
`static final int`
`AL_FLANGER_MAX_PHASE`
`static final float`
`AL_FLANGER_MAX_RATE`
`static final int`
`AL_FLANGER_MAX_WAVEFORM`
`static final float`
`AL_FLANGER_MIN_DELAY`
`static final float`
`AL_FLANGER_MIN_DEPTH`
`static final float`
`AL_FLANGER_MIN_FEEDBACK`
`static final int`
`AL_FLANGER_MIN_PHASE`
`static final float`
`AL_FLANGER_MIN_RATE`
`static final int`
`AL_FLANGER_MIN_WAVEFORM`
`static final int`
`AL_FLANGER_PHASE`
`static final int`
`AL_FLANGER_RATE`
`static final int`
`AL_FLANGER_WAVEFORM`
`static final int`
`AL_FLANGER_WAVEFORM_SINUSOID`
`static final int`
`AL_FLANGER_WAVEFORM_TRIANGLE`
`static final float`
`AL_FREQUENCY_SHIFTER_DEFAULT_FREQUENCY`
`static final int`
`AL_FREQUENCY_SHIFTER_DEFAULT_LEFT_DIRECTION`
`static final int`
`AL_FREQUENCY_SHIFTER_DEFAULT_RIGHT_DIRECTION`
`static final int`
`AL_FREQUENCY_SHIFTER_DIRECTION_DOWN`
`static final int`
`AL_FREQUENCY_SHIFTER_DIRECTION_OFF`
`static final int`
`AL_FREQUENCY_SHIFTER_DIRECTION_UP`
`static final int`
`AL_FREQUENCY_SHIFTER_FREQUENCY`
`static final int`
`AL_FREQUENCY_SHIFTER_LEFT_DIRECTION`
`static final float`
`AL_FREQUENCY_SHIFTER_MAX_FREQUENCY`
`static final int`
`AL_FREQUENCY_SHIFTER_MAX_LEFT_DIRECTION`
`static final int`
`AL_FREQUENCY_SHIFTER_MAX_RIGHT_DIRECTION`
`static final float`
`AL_FREQUENCY_SHIFTER_MIN_FREQUENCY`
`static final int`
`AL_FREQUENCY_SHIFTER_MIN_LEFT_DIRECTION`
`static final int`
`AL_FREQUENCY_SHIFTER_MIN_RIGHT_DIRECTION`
`static final int`
`AL_FREQUENCY_SHIFTER_RIGHT_DIRECTION`
`static final int`
`AL_HIGHPASS_GAIN`
`static final int`
`AL_HIGHPASS_GAINLF`
`static final int`
`AL_LOWPASS_GAIN`
`static final int`
`AL_LOWPASS_GAINHF`
`static final float`
`AL_MAX_AIR_ABSORPTION_FACTOR`
`static final int`
`AL_MAX_AUXILIARY_SEND_FILTER_GAIN_AUTO`
`static final int`
`AL_MAX_AUXILIARY_SEND_FILTER_GAINHF_AUTO`
`static final float`
`AL_MAX_CONE_OUTER_GAINHF`
`static final int`
`AL_MAX_DIRECT_FILTER_GAINHF_AUTO`
`static final float`
`AL_MAX_METERS_PER_UNIT`
`static final float`
`AL_MAX_ROOM_ROLLOFF_FACTOR`
`static final int`
`AL_METERS_PER_UNIT`
`static final float`
`AL_MIN_AIR_ABSORPTION_FACTOR`
`static final int`
`AL_MIN_AUXILIARY_SEND_FILTER_GAIN_AUTO`
`static final int`
`AL_MIN_AUXILIARY_SEND_FILTER_GAINHF_AUTO`
`static final float`
`AL_MIN_CONE_OUTER_GAINHF`
`static final int`
`AL_MIN_DIRECT_FILTER_GAINHF_AUTO`
`static final float`
`AL_MIN_METERS_PER_UNIT`
`static final float`
`AL_MIN_ROOM_ROLLOFF_FACTOR`
`static final int`
`AL_PITCH_SHIFTER_COARSE_TUNE`
`static final int`
`AL_PITCH_SHIFTER_DEFAULT_COARSE_TUNE`
`static final int`
`AL_PITCH_SHIFTER_DEFAULT_FINE_TUNE`
`static final int`
`AL_PITCH_SHIFTER_FINE_TUNE`
`static final int`
`AL_PITCH_SHIFTER_MAX_COARSE_TUNE`
`static final int`
`AL_PITCH_SHIFTER_MAX_FINE_TUNE`
`static final int`
`AL_PITCH_SHIFTER_MIN_COARSE_TUNE`
`static final int`
`AL_PITCH_SHIFTER_MIN_FINE_TUNE`
`static final int`
`AL_REVERB_AIR_ABSORPTION_GAINHF`
`static final int`
`AL_REVERB_DECAY_HFLIMIT`
`static final int`
`AL_REVERB_DECAY_HFRATIO`
`static final int`
`AL_REVERB_DECAY_TIME`
`static final float`
`AL_REVERB_DEFAULT_AIR_ABSORPTION_GAINHF`
`static final int`
`AL_REVERB_DEFAULT_DECAY_HFLIMIT`
`static final float`
`AL_REVERB_DEFAULT_DECAY_HFRATIO`
`static final float`
`AL_REVERB_DEFAULT_DECAY_TIME`
`static final float`
`AL_REVERB_DEFAULT_DENSITY`
`static final float`
`AL_REVERB_DEFAULT_DIFFUSION`
`static final float`
`AL_REVERB_DEFAULT_GAIN`
`static final float`
`AL_REVERB_DEFAULT_GAINHF`
`static final float`
`AL_REVERB_DEFAULT_LATE_REVERB_DELAY`
`static final float`
`AL_REVERB_DEFAULT_LATE_REVERB_GAIN`
`static final float`
`AL_REVERB_DEFAULT_REFLECTIONS_DELAY`
`static final float`
`AL_REVERB_DEFAULT_REFLECTIONS_GAIN`
`static final float`
`AL_REVERB_DEFAULT_ROOM_ROLLOFF_FACTOR`
`static final int`
`AL_REVERB_DENSITY`
`static final int`
`AL_REVERB_DIFFUSION`
`static final int`
`AL_REVERB_GAIN`
`static final int`
`AL_REVERB_GAINHF`
`static final int`
`AL_REVERB_LATE_REVERB_DELAY`
`static final int`
`AL_REVERB_LATE_REVERB_GAIN`
`static final float`
`AL_REVERB_MAX_AIR_ABSORPTION_GAINHF`
`static final int`
`AL_REVERB_MAX_DECAY_HFLIMIT`
`static final float`
`AL_REVERB_MAX_DECAY_HFRATIO`
`static final float`
`AL_REVERB_MAX_DECAY_TIME`
`static final float`
`AL_REVERB_MAX_DENSITY`
`static final float`
`AL_REVERB_MAX_DIFFUSION`
`static final float`
`AL_REVERB_MAX_GAIN`
`static final float`
`AL_REVERB_MAX_GAINHF`
`static final float`
`AL_REVERB_MAX_LATE_REVERB_DELAY`
`static final float`
`AL_REVERB_MAX_LATE_REVERB_GAIN`
`static final float`
`AL_REVERB_MAX_REFLECTIONS_DELAY`
`static final float`
`AL_REVERB_MAX_REFLECTIONS_GAIN`
`static final float`
`AL_REVERB_MAX_ROOM_ROLLOFF_FACTOR`
`static final float`
`AL_REVERB_MIN_AIR_ABSORPTION_GAINHF`
`static final int`
`AL_REVERB_MIN_DECAY_HFLIMIT`
`static final float`
`AL_REVERB_MIN_DECAY_HFRATIO`
`static final float`
`AL_REVERB_MIN_DECAY_TIME`
`static final float`
`AL_REVERB_MIN_DENSITY`
`static final float`
`AL_REVERB_MIN_DIFFUSION`
`static final float`
`AL_REVERB_MIN_GAIN`
`static final float`
`AL_REVERB_MIN_GAINHF`
`static final float`
`AL_REVERB_MIN_LATE_REVERB_DELAY`
`static final float`
`AL_REVERB_MIN_LATE_REVERB_GAIN`
`static final float`
`AL_REVERB_MIN_REFLECTIONS_DELAY`
`static final float`
`AL_REVERB_MIN_REFLECTIONS_GAIN`
`static final float`
`AL_REVERB_MIN_ROOM_ROLLOFF_FACTOR`
`static final int`
`AL_REVERB_REFLECTIONS_DELAY`
`static final int`
`AL_REVERB_REFLECTIONS_GAIN`
`static final int`
`AL_REVERB_ROOM_ROLLOFF_FACTOR`
`static final float`
`AL_RING_MODULATOR_DEFAULT_FREQUENCY`
`static final float`
`AL_RING_MODULATOR_DEFAULT_HIGHPASS_CUTOFF`
`static final int`
`AL_RING_MODULATOR_DEFAULT_WAVEFORM`
`static final int`
`AL_RING_MODULATOR_FREQUENCY`
`static final int`
`AL_RING_MODULATOR_HIGHPASS_CUTOFF`
`static final float`
`AL_RING_MODULATOR_MAX_FREQUENCY`
`static final float`
`AL_RING_MODULATOR_MAX_HIGHPASS_CUTOFF`
`static final int`
`AL_RING_MODULATOR_MAX_WAVEFORM`
`static final float`
`AL_RING_MODULATOR_MIN_FREQUENCY`
`static final float`
`AL_RING_MODULATOR_MIN_HIGHPASS_CUTOFF`
`static final int`
`AL_RING_MODULATOR_MIN_WAVEFORM`
`static final int`
`AL_RING_MODULATOR_SAWTOOTH`
`static final int`
`AL_RING_MODULATOR_SINUSOID`
`static final int`
`AL_RING_MODULATOR_SQUARE`
`static final int`
`AL_RING_MODULATOR_WAVEFORM`
`static final int`
`AL_ROOM_ROLLOFF_FACTOR`
`static final int`
`AL_VOCAL_MORPHER_DEFAULT_PHONEMEA`
`static final int`
`AL_VOCAL_MORPHER_DEFAULT_PHONEMEA_COARSE_TUNING`
`static final int`
`AL_VOCAL_MORPHER_DEFAULT_PHONEMEB`
`static final int`
`AL_VOCAL_MORPHER_DEFAULT_PHONEMEB_COARSE_TUNING`
`static final float`
`AL_VOCAL_MORPHER_DEFAULT_RATE`
`static final int`
`AL_VOCAL_MORPHER_DEFAULT_WAVEFORM`
`static final int`
`AL_VOCAL_MORPHER_MAX_PHONEMEA`
`static final int`
`AL_VOCAL_MORPHER_MAX_PHONEMEA_COARSE_TUNING`
`static final int`
`AL_VOCAL_MORPHER_MAX_PHONEMEB`
`static final int`
`AL_VOCAL_MORPHER_MAX_PHONEMEB_COARSE_TUNING`
`static final float`
`AL_VOCAL_MORPHER_MAX_RATE`
`static final int`
`AL_VOCAL_MORPHER_MAX_WAVEFORM`
`static final int`
`AL_VOCAL_MORPHER_MIN_PHONEMEA`
`static final int`
`AL_VOCAL_MORPHER_MIN_PHONEMEA_COARSE_TUNING`
`static final int`
`AL_VOCAL_MORPHER_MIN_PHONEMEB`
`static final int`
`AL_VOCAL_MORPHER_MIN_PHONEMEB_COARSE_TUNING`
`static final float`
`AL_VOCAL_MORPHER_MIN_RATE`
`static final int`
`AL_VOCAL_MORPHER_MIN_WAVEFORM`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_A`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_AA`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_AE`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_AH`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_AO`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_B`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_D`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_E`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_EH`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_ER`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_F`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_G`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_I`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_IH`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_IY`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_J`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_K`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_L`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_M`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_N`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_O`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_P`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_R`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_S`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_T`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_U`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_UH`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_UW`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_V`
`static final int`
`AL_VOCAL_MORPHER_PHONEME_Z`
`static final int`
`AL_VOCAL_MORPHER_PHONEMEA`
`static final int`
`AL_VOCAL_MORPHER_PHONEMEA_COARSE_TUNING`
`static final int`
`AL_VOCAL_MORPHER_PHONEMEB`
`static final int`
`AL_VOCAL_MORPHER_PHONEMEB_COARSE_TUNING`
`static final int`
`AL_VOCAL_MORPHER_RATE`
`static final int`
`AL_VOCAL_MORPHER_WAVEFORM`
`static final int`
`AL_VOCAL_MORPHER_WAVEFORM_SAWTOOTH`
`static final int`
`AL_VOCAL_MORPHER_WAVEFORM_SINUSOID`
`static final int`
`AL_VOCAL_MORPHER_WAVEFORM_TRIANGLE`
`static final int`
`ALC_EFX_MAJOR_VERSION`
`static final int`
`ALC_EFX_MINOR_VERSION`
`static final String`
`ALC_EXT_EFX_NAME`
`static final int`
`ALC_MAX_AUXILIARY_SENDS`
`static final float`
`BANDPASS_DEFAULT_GAIN`
`static final float`
`BANDPASS_DEFAULT_GAINHF`
`static final float`
`BANDPASS_DEFAULT_GAINLF`
`static final float`
`BANDPASS_MAX_GAIN`
`static final float`
`BANDPASS_MAX_GAINHF`
`static final float`
`BANDPASS_MAX_GAINLF`
`static final float`
`BANDPASS_MIN_GAIN`
`static final float`
`BANDPASS_MIN_GAINHF`
`static final float`
`BANDPASS_MIN_GAINLF`
`static final float`
`HIGHPASS_DEFAULT_GAIN`
`static final float`
`HIGHPASS_DEFAULT_GAINLF`
`static final float`
`HIGHPASS_MAX_GAIN`
`static final float`
`HIGHPASS_MAX_GAINLF`
`static final float`
`HIGHPASS_MIN_GAIN`
`static final float`
`HIGHPASS_MIN_GAINLF`
`static final float`
`LOWPASS_DEFAULT_GAIN`
`static final float`
`LOWPASS_DEFAULT_GAINHF`
`static final float`
`LOWPASS_MAX_GAIN`
`static final float`
`LOWPASS_MAX_GAINHF`
`static final float`
`LOWPASS_MIN_GAIN`
`static final float`
`LOWPASS_MIN_GAINHF`

## Method Summary

Modifier and Type
Method
Description
`static void`
`alAuxiliaryEffectSlot(int auxiliaryeffectslot, int param, FloatBuffer values)`
`static void`
`alAuxiliaryEffectSlot(int auxiliaryeffectslot, int param, IntBuffer values)`
`static void`
`alAuxiliaryEffectSlotf(int auxiliaryeffectslot, int param, float value)`
`static void`
`alAuxiliaryEffectSloti(int auxiliaryeffectslot, int param, int value)`
`static void`
`alDeleteAuxiliaryEffectSlots(int auxiliaryeffectslot)`
Overloads alDeleteAuxiliaryEffectSlots.
`static void`
`alDeleteAuxiliaryEffectSlots(IntBuffer auxiliaryeffectslots)`
`static void`
`alDeleteEffects(int effect)`
Overloads alDeleteEffects.
`static void`
`alDeleteEffects(IntBuffer effects)`
`static void`
`alDeleteFilters(int filter)`
Overloads alDeleteFilters.
`static void`
`alDeleteFilters(IntBuffer filters)`
`static void`
`alEffect(int effect, int param, FloatBuffer values)`
`static void`
`alEffect(int effect, int param, IntBuffer values)`
`static void`
`alEffectf(int effect, int param, float value)`
`static void`
`alEffecti(int effect, int param, int value)`
`static void`
`alFilter(int filter, int param, FloatBuffer values)`
`static void`
`alFilter(int filter, int param, IntBuffer values)`
`static void`
`alFilterf(int filter, int param, float value)`
`static void`
`alFilteri(int filter, int param, int value)`
`static int`
`alGenAuxiliaryEffectSlots()`
Overloads alGenAuxiliaryEffectSlots.
`static void`
`alGenAuxiliaryEffectSlots(IntBuffer auxiliaryeffectslots)`
`static int`
`alGenEffects()`
Overloads alGenEffects.
`static void`
`alGenEffects(IntBuffer effects)`
`static int`
`alGenFilters()`
Overloads alGenFilters.
`static void`
`alGenFilters(IntBuffer filters)`
`static void`
`alGetAuxiliaryEffectSlot(int auxiliaryeffectslot, int param, FloatBuffer floatdata)`
`static void`
`alGetAuxiliaryEffectSlot(int auxiliaryeffectslot, int param, IntBuffer intdata)`
`static float`
`alGetAuxiliaryEffectSlotf(int auxiliaryeffectslot, int param)`
`static int`
`alGetAuxiliaryEffectSloti(int auxiliaryeffectslot, int param)`
`static void`
`alGetEffect(int effect, int param, FloatBuffer floatdata)`
`static void`
`alGetEffect(int effect, int param, IntBuffer intdata)`
`static float`
`alGetEffectf(int effect, int param)`
`static int`
`alGetEffecti(int effect, int param)`
`static void`
`alGetFilter(int filter, int param, FloatBuffer floatdata)`
`static void`
`alGetFilter(int filter, int param, IntBuffer intdata)`
`static float`
`alGetFilterf(int filter, int param)`
`static int`
`alGetFilteri(int filter, int param)`
`static boolean`
`alIsAuxiliaryEffectSlot(int auxiliaryeffectslot)`
`static boolean`
`alIsEffect(int effect)`
`static boolean`
`alIsFilter(int filter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ALC_EXT_EFX_NAME

public static final String ALC_EXT_EFX_NAME

See Also:
  - Constant Field Values

### ALC_EFX_MAJOR_VERSION

public static final int ALC_EFX_MAJOR_VERSION

See Also:
  - Constant Field Values

### ALC_EFX_MINOR_VERSION

public static final int ALC_EFX_MINOR_VERSION

See Also:
  - Constant Field Values

### ALC_MAX_AUXILIARY_SENDS

public static final int ALC_MAX_AUXILIARY_SENDS

See Also:
  - Constant Field Values

### AL_METERS_PER_UNIT

public static final int AL_METERS_PER_UNIT

See Also:
  - Constant Field Values

### AL_DIRECT_FILTER

public static final int AL_DIRECT_FILTER

See Also:
  - Constant Field Values

### AL_AUXILIARY_SEND_FILTER

public static final int AL_AUXILIARY_SEND_FILTER

See Also:
  - Constant Field Values

### AL_AIR_ABSORPTION_FACTOR

public static final int AL_AIR_ABSORPTION_FACTOR

See Also:
  - Constant Field Values

### AL_ROOM_ROLLOFF_FACTOR

public static final int AL_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_CONE_OUTER_GAINHF

public static final int AL_CONE_OUTER_GAINHF

See Also:
  - Constant Field Values

### AL_DIRECT_FILTER_GAINHF_AUTO

public static final int AL_DIRECT_FILTER_GAINHF_AUTO

See Also:
  - Constant Field Values

### AL_AUXILIARY_SEND_FILTER_GAIN_AUTO

public static final int AL_AUXILIARY_SEND_FILTER_GAIN_AUTO

See Also:
  - Constant Field Values

### AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO

public static final int AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO

See Also:
  - Constant Field Values

### AL_EFFECTSLOT_EFFECT

public static final int AL_EFFECTSLOT_EFFECT

See Also:
  - Constant Field Values

### AL_EFFECTSLOT_GAIN

public static final int AL_EFFECTSLOT_GAIN

See Also:
  - Constant Field Values

### AL_EFFECTSLOT_AUXILIARY_SEND_AUTO

public static final int AL_EFFECTSLOT_AUXILIARY_SEND_AUTO

See Also:
  - Constant Field Values

### AL_EFFECTSLOT_NULL

public static final int AL_EFFECTSLOT_NULL

See Also:
  - Constant Field Values

### AL_REVERB_DENSITY

public static final int AL_REVERB_DENSITY

See Also:
  - Constant Field Values

### AL_REVERB_DIFFUSION

public static final int AL_REVERB_DIFFUSION

See Also:
  - Constant Field Values

### AL_REVERB_GAIN

public static final int AL_REVERB_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_GAINHF

public static final int AL_REVERB_GAINHF

See Also:
  - Constant Field Values

### AL_REVERB_DECAY_TIME

public static final int AL_REVERB_DECAY_TIME

See Also:
  - Constant Field Values

### AL_REVERB_DECAY_HFRATIO

public static final int AL_REVERB_DECAY_HFRATIO

See Also:
  - Constant Field Values

### AL_REVERB_REFLECTIONS_GAIN

public static final int AL_REVERB_REFLECTIONS_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_REFLECTIONS_DELAY

public static final int AL_REVERB_REFLECTIONS_DELAY

See Also:
  - Constant Field Values

### AL_REVERB_LATE_REVERB_GAIN

public static final int AL_REVERB_LATE_REVERB_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_LATE_REVERB_DELAY

public static final int AL_REVERB_LATE_REVERB_DELAY

See Also:
  - Constant Field Values

### AL_REVERB_AIR_ABSORPTION_GAINHF

public static final int AL_REVERB_AIR_ABSORPTION_GAINHF

See Also:
  - Constant Field Values

### AL_REVERB_ROOM_ROLLOFF_FACTOR

public static final int AL_REVERB_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_REVERB_DECAY_HFLIMIT

public static final int AL_REVERB_DECAY_HFLIMIT

See Also:
  - Constant Field Values

### AL_EAXREVERB_DENSITY

public static final int AL_EAXREVERB_DENSITY

See Also:
  - Constant Field Values

### AL_EAXREVERB_DIFFUSION

public static final int AL_EAXREVERB_DIFFUSION

See Also:
  - Constant Field Values

### AL_EAXREVERB_GAIN

public static final int AL_EAXREVERB_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_GAINHF

public static final int AL_EAXREVERB_GAINHF

See Also:
  - Constant Field Values

### AL_EAXREVERB_GAINLF

public static final int AL_EAXREVERB_GAINLF

See Also:
  - Constant Field Values

### AL_EAXREVERB_DECAY_TIME

public static final int AL_EAXREVERB_DECAY_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_DECAY_HFRATIO

public static final int AL_EAXREVERB_DECAY_HFRATIO

See Also:
  - Constant Field Values

### AL_EAXREVERB_DECAY_LFRATIO

public static final int AL_EAXREVERB_DECAY_LFRATIO

See Also:
  - Constant Field Values

### AL_EAXREVERB_REFLECTIONS_GAIN

public static final int AL_EAXREVERB_REFLECTIONS_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_REFLECTIONS_DELAY

public static final int AL_EAXREVERB_REFLECTIONS_DELAY

See Also:
  - Constant Field Values

### AL_EAXREVERB_REFLECTIONS_PAN

public static final int AL_EAXREVERB_REFLECTIONS_PAN

See Also:
  - Constant Field Values

### AL_EAXREVERB_LATE_REVERB_GAIN

public static final int AL_EAXREVERB_LATE_REVERB_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_LATE_REVERB_DELAY

public static final int AL_EAXREVERB_LATE_REVERB_DELAY

See Also:
  - Constant Field Values

### AL_EAXREVERB_LATE_REVERB_PAN

public static final int AL_EAXREVERB_LATE_REVERB_PAN

See Also:
  - Constant Field Values

### AL_EAXREVERB_ECHO_TIME

public static final int AL_EAXREVERB_ECHO_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_ECHO_DEPTH

public static final int AL_EAXREVERB_ECHO_DEPTH

See Also:
  - Constant Field Values

### AL_EAXREVERB_MODULATION_TIME

public static final int AL_EAXREVERB_MODULATION_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_MODULATION_DEPTH

public static final int AL_EAXREVERB_MODULATION_DEPTH

See Also:
  - Constant Field Values

### AL_EAXREVERB_AIR_ABSORPTION_GAINHF

public static final int AL_EAXREVERB_AIR_ABSORPTION_GAINHF

See Also:
  - Constant Field Values

### AL_EAXREVERB_HFREFERENCE

public static final int AL_EAXREVERB_HFREFERENCE

See Also:
  - Constant Field Values

### AL_EAXREVERB_LFREFERENCE

public static final int AL_EAXREVERB_LFREFERENCE

See Also:
  - Constant Field Values

### AL_EAXREVERB_ROOM_ROLLOFF_FACTOR

public static final int AL_EAXREVERB_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_EAXREVERB_DECAY_HFLIMIT

public static final int AL_EAXREVERB_DECAY_HFLIMIT

See Also:
  - Constant Field Values

### AL_CHORUS_WAVEFORM

public static final int AL_CHORUS_WAVEFORM

See Also:
  - Constant Field Values

### AL_CHORUS_PHASE

public static final int AL_CHORUS_PHASE

See Also:
  - Constant Field Values

### AL_CHORUS_RATE

public static final int AL_CHORUS_RATE

See Also:
  - Constant Field Values

### AL_CHORUS_DEPTH

public static final int AL_CHORUS_DEPTH

See Also:
  - Constant Field Values

### AL_CHORUS_FEEDBACK

public static final int AL_CHORUS_FEEDBACK

See Also:
  - Constant Field Values

### AL_CHORUS_DELAY

public static final int AL_CHORUS_DELAY

See Also:
  - Constant Field Values

### AL_DISTORTION_EDGE

public static final int AL_DISTORTION_EDGE

See Also:
  - Constant Field Values

### AL_DISTORTION_GAIN

public static final int AL_DISTORTION_GAIN

See Also:
  - Constant Field Values

### AL_DISTORTION_LOWPASS_CUTOFF

public static final int AL_DISTORTION_LOWPASS_CUTOFF

See Also:
  - Constant Field Values

### AL_DISTORTION_EQCENTER

public static final int AL_DISTORTION_EQCENTER

See Also:
  - Constant Field Values

### AL_DISTORTION_EQBANDWIDTH

public static final int AL_DISTORTION_EQBANDWIDTH

See Also:
  - Constant Field Values

### AL_ECHO_DELAY

public static final int AL_ECHO_DELAY

See Also:
  - Constant Field Values

### AL_ECHO_LRDELAY

public static final int AL_ECHO_LRDELAY

See Also:
  - Constant Field Values

### AL_ECHO_DAMPING

public static final int AL_ECHO_DAMPING

See Also:
  - Constant Field Values

### AL_ECHO_FEEDBACK

public static final int AL_ECHO_FEEDBACK

See Also:
  - Constant Field Values

### AL_ECHO_SPREAD

public static final int AL_ECHO_SPREAD

See Also:
  - Constant Field Values

### AL_FLANGER_WAVEFORM

public static final int AL_FLANGER_WAVEFORM

See Also:
  - Constant Field Values

### AL_FLANGER_PHASE

public static final int AL_FLANGER_PHASE

See Also:
  - Constant Field Values

### AL_FLANGER_RATE

public static final int AL_FLANGER_RATE

See Also:
  - Constant Field Values

### AL_FLANGER_DEPTH

public static final int AL_FLANGER_DEPTH

See Also:
  - Constant Field Values

### AL_FLANGER_FEEDBACK

public static final int AL_FLANGER_FEEDBACK

See Also:
  - Constant Field Values

### AL_FLANGER_DELAY

public static final int AL_FLANGER_DELAY

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_FREQUENCY

public static final int AL_FREQUENCY_SHIFTER_FREQUENCY

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_LEFT_DIRECTION

public static final int AL_FREQUENCY_SHIFTER_LEFT_DIRECTION

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_RIGHT_DIRECTION

public static final int AL_FREQUENCY_SHIFTER_RIGHT_DIRECTION

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEMEA

public static final int AL_VOCAL_MORPHER_PHONEMEA

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEMEA_COARSE_TUNING

public static final int AL_VOCAL_MORPHER_PHONEMEA_COARSE_TUNING

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEMEB

public static final int AL_VOCAL_MORPHER_PHONEMEB

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEMEB_COARSE_TUNING

public static final int AL_VOCAL_MORPHER_PHONEMEB_COARSE_TUNING

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_WAVEFORM

public static final int AL_VOCAL_MORPHER_WAVEFORM

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_RATE

public static final int AL_VOCAL_MORPHER_RATE

See Also:
  - Constant Field Values

### AL_PITCH_SHIFTER_COARSE_TUNE

public static final int AL_PITCH_SHIFTER_COARSE_TUNE

See Also:
  - Constant Field Values

### AL_PITCH_SHIFTER_FINE_TUNE

public static final int AL_PITCH_SHIFTER_FINE_TUNE

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_FREQUENCY

public static final int AL_RING_MODULATOR_FREQUENCY

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_HIGHPASS_CUTOFF

public static final int AL_RING_MODULATOR_HIGHPASS_CUTOFF

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_WAVEFORM

public static final int AL_RING_MODULATOR_WAVEFORM

See Also:
  - Constant Field Values

### AL_AUTOWAH_ATTACK_TIME

public static final int AL_AUTOWAH_ATTACK_TIME

See Also:
  - Constant Field Values

### AL_AUTOWAH_RELEASE_TIME

public static final int AL_AUTOWAH_RELEASE_TIME

See Also:
  - Constant Field Values

### AL_AUTOWAH_RESONANCE

public static final int AL_AUTOWAH_RESONANCE

See Also:
  - Constant Field Values

### AL_AUTOWAH_PEAK_GAIN

public static final int AL_AUTOWAH_PEAK_GAIN

See Also:
  - Constant Field Values

### AL_COMPRESSOR_ONOFF

public static final int AL_COMPRESSOR_ONOFF

See Also:
  - Constant Field Values

### AL_EQUALIZER_LOW_GAIN

public static final int AL_EQUALIZER_LOW_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_LOW_CUTOFF

public static final int AL_EQUALIZER_LOW_CUTOFF

See Also:
  - Constant Field Values

### AL_EQUALIZER_MID1_GAIN

public static final int AL_EQUALIZER_MID1_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MID1_CENTER

public static final int AL_EQUALIZER_MID1_CENTER

See Also:
  - Constant Field Values

### AL_EQUALIZER_MID1_WIDTH

public static final int AL_EQUALIZER_MID1_WIDTH

See Also:
  - Constant Field Values

### AL_EQUALIZER_MID2_GAIN

public static final int AL_EQUALIZER_MID2_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MID2_CENTER

public static final int AL_EQUALIZER_MID2_CENTER

See Also:
  - Constant Field Values

### AL_EQUALIZER_MID2_WIDTH

public static final int AL_EQUALIZER_MID2_WIDTH

See Also:
  - Constant Field Values

### AL_EQUALIZER_HIGH_GAIN

public static final int AL_EQUALIZER_HIGH_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_HIGH_CUTOFF

public static final int AL_EQUALIZER_HIGH_CUTOFF

See Also:
  - Constant Field Values

### AL_EFFECT_FIRST_PARAMETER

public static final int AL_EFFECT_FIRST_PARAMETER

See Also:
  - Constant Field Values

### AL_EFFECT_LAST_PARAMETER

public static final int AL_EFFECT_LAST_PARAMETER

See Also:
  - Constant Field Values

### AL_EFFECT_TYPE

public static final int AL_EFFECT_TYPE

See Also:
  - Constant Field Values

### AL_EFFECT_NULL

public static final int AL_EFFECT_NULL

See Also:
  - Constant Field Values

### AL_EFFECT_REVERB

public static final int AL_EFFECT_REVERB

See Also:
  - Constant Field Values

### AL_EFFECT_CHORUS

public static final int AL_EFFECT_CHORUS

See Also:
  - Constant Field Values

### AL_EFFECT_DISTORTION

public static final int AL_EFFECT_DISTORTION

See Also:
  - Constant Field Values

### AL_EFFECT_ECHO

public static final int AL_EFFECT_ECHO

See Also:
  - Constant Field Values

### AL_EFFECT_FLANGER

public static final int AL_EFFECT_FLANGER

See Also:
  - Constant Field Values

### AL_EFFECT_FREQUENCY_SHIFTER

public static final int AL_EFFECT_FREQUENCY_SHIFTER

See Also:
  - Constant Field Values

### AL_EFFECT_VOCAL_MORPHER

public static final int AL_EFFECT_VOCAL_MORPHER

See Also:
  - Constant Field Values

### AL_EFFECT_PITCH_SHIFTER

public static final int AL_EFFECT_PITCH_SHIFTER

See Also:
  - Constant Field Values

### AL_EFFECT_RING_MODULATOR

public static final int AL_EFFECT_RING_MODULATOR

See Also:
  - Constant Field Values

### AL_EFFECT_AUTOWAH

public static final int AL_EFFECT_AUTOWAH

See Also:
  - Constant Field Values

### AL_EFFECT_COMPRESSOR

public static final int AL_EFFECT_COMPRESSOR

See Also:
  - Constant Field Values

### AL_EFFECT_EQUALIZER

public static final int AL_EFFECT_EQUALIZER

See Also:
  - Constant Field Values

### AL_EFFECT_EAXREVERB

public static final int AL_EFFECT_EAXREVERB

See Also:
  - Constant Field Values

### AL_LOWPASS_GAIN

public static final int AL_LOWPASS_GAIN

See Also:
  - Constant Field Values

### AL_LOWPASS_GAINHF

public static final int AL_LOWPASS_GAINHF

See Also:
  - Constant Field Values

### AL_HIGHPASS_GAIN

public static final int AL_HIGHPASS_GAIN

See Also:
  - Constant Field Values

### AL_HIGHPASS_GAINLF

public static final int AL_HIGHPASS_GAINLF

See Also:
  - Constant Field Values

### AL_BANDPASS_GAIN

public static final int AL_BANDPASS_GAIN

See Also:
  - Constant Field Values

### AL_BANDPASS_GAINLF

public static final int AL_BANDPASS_GAINLF

See Also:
  - Constant Field Values

### AL_BANDPASS_GAINHF

public static final int AL_BANDPASS_GAINHF

See Also:
  - Constant Field Values

### AL_FILTER_FIRST_PARAMETER

public static final int AL_FILTER_FIRST_PARAMETER

See Also:
  - Constant Field Values

### AL_FILTER_LAST_PARAMETER

public static final int AL_FILTER_LAST_PARAMETER

See Also:
  - Constant Field Values

### AL_FILTER_TYPE

public static final int AL_FILTER_TYPE

See Also:
  - Constant Field Values

### AL_FILTER_NULL

public static final int AL_FILTER_NULL

See Also:
  - Constant Field Values

### AL_FILTER_LOWPASS

public static final int AL_FILTER_LOWPASS

See Also:
  - Constant Field Values

### AL_FILTER_HIGHPASS

public static final int AL_FILTER_HIGHPASS

See Also:
  - Constant Field Values

### AL_FILTER_BANDPASS

public static final int AL_FILTER_BANDPASS

See Also:
  - Constant Field Values

### AL_MIN_AIR_ABSORPTION_FACTOR

public static final float AL_MIN_AIR_ABSORPTION_FACTOR

See Also:
  - Constant Field Values

### AL_MAX_AIR_ABSORPTION_FACTOR

public static final float AL_MAX_AIR_ABSORPTION_FACTOR

See Also:
  - Constant Field Values

### AL_DEFAULT_AIR_ABSORPTION_FACTOR

public static final float AL_DEFAULT_AIR_ABSORPTION_FACTOR

See Also:
  - Constant Field Values

### AL_MIN_ROOM_ROLLOFF_FACTOR

public static final float AL_MIN_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_MAX_ROOM_ROLLOFF_FACTOR

public static final float AL_MAX_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_DEFAULT_ROOM_ROLLOFF_FACTOR

public static final float AL_DEFAULT_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_MIN_CONE_OUTER_GAINHF

public static final float AL_MIN_CONE_OUTER_GAINHF

See Also:
  - Constant Field Values

### AL_MAX_CONE_OUTER_GAINHF

public static final float AL_MAX_CONE_OUTER_GAINHF

See Also:
  - Constant Field Values

### AL_DEFAULT_CONE_OUTER_GAINHF

public static final float AL_DEFAULT_CONE_OUTER_GAINHF

See Also:
  - Constant Field Values

### AL_MIN_DIRECT_FILTER_GAINHF_AUTO

public static final int AL_MIN_DIRECT_FILTER_GAINHF_AUTO

See Also:
  - Constant Field Values

### AL_MAX_DIRECT_FILTER_GAINHF_AUTO

public static final int AL_MAX_DIRECT_FILTER_GAINHF_AUTO

See Also:
  - Constant Field Values

### AL_DEFAULT_DIRECT_FILTER_GAINHF_AUTO

public static final int AL_DEFAULT_DIRECT_FILTER_GAINHF_AUTO

See Also:
  - Constant Field Values

### AL_MIN_AUXILIARY_SEND_FILTER_GAIN_AUTO

public static final int AL_MIN_AUXILIARY_SEND_FILTER_GAIN_AUTO

See Also:
  - Constant Field Values

### AL_MAX_AUXILIARY_SEND_FILTER_GAIN_AUTO

public static final int AL_MAX_AUXILIARY_SEND_FILTER_GAIN_AUTO

See Also:
  - Constant Field Values

### AL_DEFAULT_AUXILIARY_SEND_FILTER_GAIN_AUTO

public static final int AL_DEFAULT_AUXILIARY_SEND_FILTER_GAIN_AUTO

See Also:
  - Constant Field Values

### AL_MIN_AUXILIARY_SEND_FILTER_GAINHF_AUTO

public static final int AL_MIN_AUXILIARY_SEND_FILTER_GAINHF_AUTO

See Also:
  - Constant Field Values

### AL_MAX_AUXILIARY_SEND_FILTER_GAINHF_AUTO

public static final int AL_MAX_AUXILIARY_SEND_FILTER_GAINHF_AUTO

See Also:
  - Constant Field Values

### AL_DEFAULT_AUXILIARY_SEND_FILTER_GAINHF_AUTO

public static final int AL_DEFAULT_AUXILIARY_SEND_FILTER_GAINHF_AUTO

See Also:
  - Constant Field Values

### AL_MIN_METERS_PER_UNIT

public static final float AL_MIN_METERS_PER_UNIT

See Also:
  - Constant Field Values

### AL_MAX_METERS_PER_UNIT

public static final float AL_MAX_METERS_PER_UNIT

See Also:
  - Constant Field Values

### AL_DEFAULT_METERS_PER_UNIT

public static final float AL_DEFAULT_METERS_PER_UNIT

See Also:
  - Constant Field Values

### AL_REVERB_MIN_DENSITY

public static final float AL_REVERB_MIN_DENSITY

See Also:
  - Constant Field Values

### AL_REVERB_MAX_DENSITY

public static final float AL_REVERB_MAX_DENSITY

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_DENSITY

public static final float AL_REVERB_DEFAULT_DENSITY

See Also:
  - Constant Field Values

### AL_REVERB_MIN_DIFFUSION

public static final float AL_REVERB_MIN_DIFFUSION

See Also:
  - Constant Field Values

### AL_REVERB_MAX_DIFFUSION

public static final float AL_REVERB_MAX_DIFFUSION

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_DIFFUSION

public static final float AL_REVERB_DEFAULT_DIFFUSION

See Also:
  - Constant Field Values

### AL_REVERB_MIN_GAIN

public static final float AL_REVERB_MIN_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_MAX_GAIN

public static final float AL_REVERB_MAX_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_GAIN

public static final float AL_REVERB_DEFAULT_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_MIN_GAINHF

public static final float AL_REVERB_MIN_GAINHF

See Also:
  - Constant Field Values

### AL_REVERB_MAX_GAINHF

public static final float AL_REVERB_MAX_GAINHF

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_GAINHF

public static final float AL_REVERB_DEFAULT_GAINHF

See Also:
  - Constant Field Values

### AL_REVERB_MIN_DECAY_TIME

public static final float AL_REVERB_MIN_DECAY_TIME

See Also:
  - Constant Field Values

### AL_REVERB_MAX_DECAY_TIME

public static final float AL_REVERB_MAX_DECAY_TIME

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_DECAY_TIME

public static final float AL_REVERB_DEFAULT_DECAY_TIME

See Also:
  - Constant Field Values

### AL_REVERB_MIN_DECAY_HFRATIO

public static final float AL_REVERB_MIN_DECAY_HFRATIO

See Also:
  - Constant Field Values

### AL_REVERB_MAX_DECAY_HFRATIO

public static final float AL_REVERB_MAX_DECAY_HFRATIO

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_DECAY_HFRATIO

public static final float AL_REVERB_DEFAULT_DECAY_HFRATIO

See Also:
  - Constant Field Values

### AL_REVERB_MIN_REFLECTIONS_GAIN

public static final float AL_REVERB_MIN_REFLECTIONS_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_MAX_REFLECTIONS_GAIN

public static final float AL_REVERB_MAX_REFLECTIONS_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_REFLECTIONS_GAIN

public static final float AL_REVERB_DEFAULT_REFLECTIONS_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_MIN_REFLECTIONS_DELAY

public static final float AL_REVERB_MIN_REFLECTIONS_DELAY

See Also:
  - Constant Field Values

### AL_REVERB_MAX_REFLECTIONS_DELAY

public static final float AL_REVERB_MAX_REFLECTIONS_DELAY

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_REFLECTIONS_DELAY

public static final float AL_REVERB_DEFAULT_REFLECTIONS_DELAY

See Also:
  - Constant Field Values

### AL_REVERB_MIN_LATE_REVERB_GAIN

public static final float AL_REVERB_MIN_LATE_REVERB_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_MAX_LATE_REVERB_GAIN

public static final float AL_REVERB_MAX_LATE_REVERB_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_LATE_REVERB_GAIN

public static final float AL_REVERB_DEFAULT_LATE_REVERB_GAIN

See Also:
  - Constant Field Values

### AL_REVERB_MIN_LATE_REVERB_DELAY

public static final float AL_REVERB_MIN_LATE_REVERB_DELAY

See Also:
  - Constant Field Values

### AL_REVERB_MAX_LATE_REVERB_DELAY

public static final float AL_REVERB_MAX_LATE_REVERB_DELAY

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_LATE_REVERB_DELAY

public static final float AL_REVERB_DEFAULT_LATE_REVERB_DELAY

See Also:
  - Constant Field Values

### AL_REVERB_MIN_AIR_ABSORPTION_GAINHF

public static final float AL_REVERB_MIN_AIR_ABSORPTION_GAINHF

See Also:
  - Constant Field Values

### AL_REVERB_MAX_AIR_ABSORPTION_GAINHF

public static final float AL_REVERB_MAX_AIR_ABSORPTION_GAINHF

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_AIR_ABSORPTION_GAINHF

public static final float AL_REVERB_DEFAULT_AIR_ABSORPTION_GAINHF

See Also:
  - Constant Field Values

### AL_REVERB_MIN_ROOM_ROLLOFF_FACTOR

public static final float AL_REVERB_MIN_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_REVERB_MAX_ROOM_ROLLOFF_FACTOR

public static final float AL_REVERB_MAX_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_ROOM_ROLLOFF_FACTOR

public static final float AL_REVERB_DEFAULT_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_REVERB_MIN_DECAY_HFLIMIT

public static final int AL_REVERB_MIN_DECAY_HFLIMIT

See Also:
  - Constant Field Values

### AL_REVERB_MAX_DECAY_HFLIMIT

public static final int AL_REVERB_MAX_DECAY_HFLIMIT

See Also:
  - Constant Field Values

### AL_REVERB_DEFAULT_DECAY_HFLIMIT

public static final int AL_REVERB_DEFAULT_DECAY_HFLIMIT

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_DENSITY

public static final float AL_EAXREVERB_MIN_DENSITY

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_DENSITY

public static final float AL_EAXREVERB_MAX_DENSITY

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_DENSITY

public static final float AL_EAXREVERB_DEFAULT_DENSITY

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_DIFFUSION

public static final float AL_EAXREVERB_MIN_DIFFUSION

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_DIFFUSION

public static final float AL_EAXREVERB_MAX_DIFFUSION

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_DIFFUSION

public static final float AL_EAXREVERB_DEFAULT_DIFFUSION

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_GAIN

public static final float AL_EAXREVERB_MIN_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_GAIN

public static final float AL_EAXREVERB_MAX_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_GAIN

public static final float AL_EAXREVERB_DEFAULT_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_GAINHF

public static final float AL_EAXREVERB_MIN_GAINHF

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_GAINHF

public static final float AL_EAXREVERB_MAX_GAINHF

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_GAINHF

public static final float AL_EAXREVERB_DEFAULT_GAINHF

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_GAINLF

public static final float AL_EAXREVERB_MIN_GAINLF

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_GAINLF

public static final float AL_EAXREVERB_MAX_GAINLF

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_GAINLF

public static final float AL_EAXREVERB_DEFAULT_GAINLF

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_DECAY_TIME

public static final float AL_EAXREVERB_MIN_DECAY_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_DECAY_TIME

public static final float AL_EAXREVERB_MAX_DECAY_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_DECAY_TIME

public static final float AL_EAXREVERB_DEFAULT_DECAY_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_DECAY_HFRATIO

public static final float AL_EAXREVERB_MIN_DECAY_HFRATIO

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_DECAY_HFRATIO

public static final float AL_EAXREVERB_MAX_DECAY_HFRATIO

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_DECAY_HFRATIO

public static final float AL_EAXREVERB_DEFAULT_DECAY_HFRATIO

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_DECAY_LFRATIO

public static final float AL_EAXREVERB_MIN_DECAY_LFRATIO

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_DECAY_LFRATIO

public static final float AL_EAXREVERB_MAX_DECAY_LFRATIO

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_DECAY_LFRATIO

public static final float AL_EAXREVERB_DEFAULT_DECAY_LFRATIO

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_REFLECTIONS_GAIN

public static final float AL_EAXREVERB_MIN_REFLECTIONS_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_REFLECTIONS_GAIN

public static final float AL_EAXREVERB_MAX_REFLECTIONS_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_REFLECTIONS_GAIN

public static final float AL_EAXREVERB_DEFAULT_REFLECTIONS_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_REFLECTIONS_DELAY

public static final float AL_EAXREVERB_MIN_REFLECTIONS_DELAY

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_REFLECTIONS_DELAY

public static final float AL_EAXREVERB_MAX_REFLECTIONS_DELAY

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_REFLECTIONS_DELAY

public static final float AL_EAXREVERB_DEFAULT_REFLECTIONS_DELAY

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_REFLECTIONS_PAN_XYZ

public static final float AL_EAXREVERB_DEFAULT_REFLECTIONS_PAN_XYZ

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_LATE_REVERB_GAIN

public static final float AL_EAXREVERB_MIN_LATE_REVERB_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_LATE_REVERB_GAIN

public static final float AL_EAXREVERB_MAX_LATE_REVERB_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_LATE_REVERB_GAIN

public static final float AL_EAXREVERB_DEFAULT_LATE_REVERB_GAIN

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_LATE_REVERB_DELAY

public static final float AL_EAXREVERB_MIN_LATE_REVERB_DELAY

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_LATE_REVERB_DELAY

public static final float AL_EAXREVERB_MAX_LATE_REVERB_DELAY

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_LATE_REVERB_DELAY

public static final float AL_EAXREVERB_DEFAULT_LATE_REVERB_DELAY

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_LATE_REVERB_PAN_XYZ

public static final float AL_EAXREVERB_DEFAULT_LATE_REVERB_PAN_XYZ

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_ECHO_TIME

public static final float AL_EAXREVERB_MIN_ECHO_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_ECHO_TIME

public static final float AL_EAXREVERB_MAX_ECHO_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_ECHO_TIME

public static final float AL_EAXREVERB_DEFAULT_ECHO_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_ECHO_DEPTH

public static final float AL_EAXREVERB_MIN_ECHO_DEPTH

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_ECHO_DEPTH

public static final float AL_EAXREVERB_MAX_ECHO_DEPTH

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_ECHO_DEPTH

public static final float AL_EAXREVERB_DEFAULT_ECHO_DEPTH

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_MODULATION_TIME

public static final float AL_EAXREVERB_MIN_MODULATION_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_MODULATION_TIME

public static final float AL_EAXREVERB_MAX_MODULATION_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_MODULATION_TIME

public static final float AL_EAXREVERB_DEFAULT_MODULATION_TIME

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_MODULATION_DEPTH

public static final float AL_EAXREVERB_MIN_MODULATION_DEPTH

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_MODULATION_DEPTH

public static final float AL_EAXREVERB_MAX_MODULATION_DEPTH

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_MODULATION_DEPTH

public static final float AL_EAXREVERB_DEFAULT_MODULATION_DEPTH

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_AIR_ABSORPTION_GAINHF

public static final float AL_EAXREVERB_MIN_AIR_ABSORPTION_GAINHF

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_AIR_ABSORPTION_GAINHF

public static final float AL_EAXREVERB_MAX_AIR_ABSORPTION_GAINHF

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_AIR_ABSORPTION_GAINHF

public static final float AL_EAXREVERB_DEFAULT_AIR_ABSORPTION_GAINHF

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_HFREFERENCE

public static final float AL_EAXREVERB_MIN_HFREFERENCE

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_HFREFERENCE

public static final float AL_EAXREVERB_MAX_HFREFERENCE

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_HFREFERENCE

public static final float AL_EAXREVERB_DEFAULT_HFREFERENCE

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_LFREFERENCE

public static final float AL_EAXREVERB_MIN_LFREFERENCE

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_LFREFERENCE

public static final float AL_EAXREVERB_MAX_LFREFERENCE

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_LFREFERENCE

public static final float AL_EAXREVERB_DEFAULT_LFREFERENCE

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_ROOM_ROLLOFF_FACTOR

public static final float AL_EAXREVERB_MIN_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_ROOM_ROLLOFF_FACTOR

public static final float AL_EAXREVERB_MAX_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_ROOM_ROLLOFF_FACTOR

public static final float AL_EAXREVERB_DEFAULT_ROOM_ROLLOFF_FACTOR

See Also:
  - Constant Field Values

### AL_EAXREVERB_MIN_DECAY_HFLIMIT

public static final int AL_EAXREVERB_MIN_DECAY_HFLIMIT

See Also:
  - Constant Field Values

### AL_EAXREVERB_MAX_DECAY_HFLIMIT

public static final int AL_EAXREVERB_MAX_DECAY_HFLIMIT

See Also:
  - Constant Field Values

### AL_EAXREVERB_DEFAULT_DECAY_HFLIMIT

public static final int AL_EAXREVERB_DEFAULT_DECAY_HFLIMIT

See Also:
  - Constant Field Values

### AL_CHORUS_WAVEFORM_SINUSOID

public static final int AL_CHORUS_WAVEFORM_SINUSOID

See Also:
  - Constant Field Values

### AL_CHORUS_WAVEFORM_TRIANGLE

public static final int AL_CHORUS_WAVEFORM_TRIANGLE

See Also:
  - Constant Field Values

### AL_CHORUS_MIN_WAVEFORM

public static final int AL_CHORUS_MIN_WAVEFORM

See Also:
  - Constant Field Values

### AL_CHORUS_MAX_WAVEFORM

public static final int AL_CHORUS_MAX_WAVEFORM

See Also:
  - Constant Field Values

### AL_CHORUS_DEFAULT_WAVEFORM

public static final int AL_CHORUS_DEFAULT_WAVEFORM

See Also:
  - Constant Field Values

### AL_CHORUS_MIN_PHASE

public static final int AL_CHORUS_MIN_PHASE

See Also:
  - Constant Field Values

### AL_CHORUS_MAX_PHASE

public static final int AL_CHORUS_MAX_PHASE

See Also:
  - Constant Field Values

### AL_CHORUS_DEFAULT_PHASE

public static final int AL_CHORUS_DEFAULT_PHASE

See Also:
  - Constant Field Values

### AL_CHORUS_MIN_RATE

public static final float AL_CHORUS_MIN_RATE

See Also:
  - Constant Field Values

### AL_CHORUS_MAX_RATE

public static final float AL_CHORUS_MAX_RATE

See Also:
  - Constant Field Values

### AL_CHORUS_DEFAULT_RATE

public static final float AL_CHORUS_DEFAULT_RATE

See Also:
  - Constant Field Values

### AL_CHORUS_MIN_DEPTH

public static final float AL_CHORUS_MIN_DEPTH

See Also:
  - Constant Field Values

### AL_CHORUS_MAX_DEPTH

public static final float AL_CHORUS_MAX_DEPTH

See Also:
  - Constant Field Values

### AL_CHORUS_DEFAULT_DEPTH

public static final float AL_CHORUS_DEFAULT_DEPTH

See Also:
  - Constant Field Values

### AL_CHORUS_MIN_FEEDBACK

public static final float AL_CHORUS_MIN_FEEDBACK

See Also:
  - Constant Field Values

### AL_CHORUS_MAX_FEEDBACK

public static final float AL_CHORUS_MAX_FEEDBACK

See Also:
  - Constant Field Values

### AL_CHORUS_DEFAULT_FEEDBACK

public static final float AL_CHORUS_DEFAULT_FEEDBACK

See Also:
  - Constant Field Values

### AL_CHORUS_MIN_DELAY

public static final float AL_CHORUS_MIN_DELAY

See Also:
  - Constant Field Values

### AL_CHORUS_MAX_DELAY

public static final float AL_CHORUS_MAX_DELAY

See Also:
  - Constant Field Values

### AL_CHORUS_DEFAULT_DELAY

public static final float AL_CHORUS_DEFAULT_DELAY

See Also:
  - Constant Field Values

### AL_DISTORTION_MIN_EDGE

public static final float AL_DISTORTION_MIN_EDGE

See Also:
  - Constant Field Values

### AL_DISTORTION_MAX_EDGE

public static final float AL_DISTORTION_MAX_EDGE

See Also:
  - Constant Field Values

### AL_DISTORTION_DEFAULT_EDGE

public static final float AL_DISTORTION_DEFAULT_EDGE

See Also:
  - Constant Field Values

### AL_DISTORTION_MIN_GAIN

public static final float AL_DISTORTION_MIN_GAIN

See Also:
  - Constant Field Values

### AL_DISTORTION_MAX_GAIN

public static final float AL_DISTORTION_MAX_GAIN

See Also:
  - Constant Field Values

### AL_DISTORTION_DEFAULT_GAIN

public static final float AL_DISTORTION_DEFAULT_GAIN

See Also:
  - Constant Field Values

### AL_DISTORTION_MIN_LOWPASS_CUTOFF

public static final float AL_DISTORTION_MIN_LOWPASS_CUTOFF

See Also:
  - Constant Field Values

### AL_DISTORTION_MAX_LOWPASS_CUTOFF

public static final float AL_DISTORTION_MAX_LOWPASS_CUTOFF

See Also:
  - Constant Field Values

### AL_DISTORTION_DEFAULT_LOWPASS_CUTOFF

public static final float AL_DISTORTION_DEFAULT_LOWPASS_CUTOFF

See Also:
  - Constant Field Values

### AL_DISTORTION_MIN_EQCENTER

public static final float AL_DISTORTION_MIN_EQCENTER

See Also:
  - Constant Field Values

### AL_DISTORTION_MAX_EQCENTER

public static final float AL_DISTORTION_MAX_EQCENTER

See Also:
  - Constant Field Values

### AL_DISTORTION_DEFAULT_EQCENTER

public static final float AL_DISTORTION_DEFAULT_EQCENTER

See Also:
  - Constant Field Values

### AL_DISTORTION_MIN_EQBANDWIDTH

public static final float AL_DISTORTION_MIN_EQBANDWIDTH

See Also:
  - Constant Field Values

### AL_DISTORTION_MAX_EQBANDWIDTH

public static final float AL_DISTORTION_MAX_EQBANDWIDTH

See Also:
  - Constant Field Values

### AL_DISTORTION_DEFAULT_EQBANDWIDTH

public static final float AL_DISTORTION_DEFAULT_EQBANDWIDTH

See Also:
  - Constant Field Values

### AL_ECHO_MIN_DELAY

public static final float AL_ECHO_MIN_DELAY

See Also:
  - Constant Field Values

### AL_ECHO_MAX_DELAY

public static final float AL_ECHO_MAX_DELAY

See Also:
  - Constant Field Values

### AL_ECHO_DEFAULT_DELAY

public static final float AL_ECHO_DEFAULT_DELAY

See Also:
  - Constant Field Values

### AL_ECHO_MIN_LRDELAY

public static final float AL_ECHO_MIN_LRDELAY

See Also:
  - Constant Field Values

### AL_ECHO_MAX_LRDELAY

public static final float AL_ECHO_MAX_LRDELAY

See Also:
  - Constant Field Values

### AL_ECHO_DEFAULT_LRDELAY

public static final float AL_ECHO_DEFAULT_LRDELAY

See Also:
  - Constant Field Values

### AL_ECHO_MIN_DAMPING

public static final float AL_ECHO_MIN_DAMPING

See Also:
  - Constant Field Values

### AL_ECHO_MAX_DAMPING

public static final float AL_ECHO_MAX_DAMPING

See Also:
  - Constant Field Values

### AL_ECHO_DEFAULT_DAMPING

public static final float AL_ECHO_DEFAULT_DAMPING

See Also:
  - Constant Field Values

### AL_ECHO_MIN_FEEDBACK

public static final float AL_ECHO_MIN_FEEDBACK

See Also:
  - Constant Field Values

### AL_ECHO_MAX_FEEDBACK

public static final float AL_ECHO_MAX_FEEDBACK

See Also:
  - Constant Field Values

### AL_ECHO_DEFAULT_FEEDBACK

public static final float AL_ECHO_DEFAULT_FEEDBACK

See Also:
  - Constant Field Values

### AL_ECHO_MIN_SPREAD

public static final float AL_ECHO_MIN_SPREAD

See Also:
  - Constant Field Values

### AL_ECHO_MAX_SPREAD

public static final float AL_ECHO_MAX_SPREAD

See Also:
  - Constant Field Values

### AL_ECHO_DEFAULT_SPREAD

public static final float AL_ECHO_DEFAULT_SPREAD

See Also:
  - Constant Field Values

### AL_FLANGER_WAVEFORM_SINUSOID

public static final int AL_FLANGER_WAVEFORM_SINUSOID

See Also:
  - Constant Field Values

### AL_FLANGER_WAVEFORM_TRIANGLE

public static final int AL_FLANGER_WAVEFORM_TRIANGLE

See Also:
  - Constant Field Values

### AL_FLANGER_MIN_WAVEFORM

public static final int AL_FLANGER_MIN_WAVEFORM

See Also:
  - Constant Field Values

### AL_FLANGER_MAX_WAVEFORM

public static final int AL_FLANGER_MAX_WAVEFORM

See Also:
  - Constant Field Values

### AL_FLANGER_DEFAULT_WAVEFORM

public static final int AL_FLANGER_DEFAULT_WAVEFORM

See Also:
  - Constant Field Values

### AL_FLANGER_MIN_PHASE

public static final int AL_FLANGER_MIN_PHASE

See Also:
  - Constant Field Values

### AL_FLANGER_MAX_PHASE

public static final int AL_FLANGER_MAX_PHASE

See Also:
  - Constant Field Values

### AL_FLANGER_DEFAULT_PHASE

public static final int AL_FLANGER_DEFAULT_PHASE

See Also:
  - Constant Field Values

### AL_FLANGER_MIN_RATE

public static final float AL_FLANGER_MIN_RATE

See Also:
  - Constant Field Values

### AL_FLANGER_MAX_RATE

public static final float AL_FLANGER_MAX_RATE

See Also:
  - Constant Field Values

### AL_FLANGER_DEFAULT_RATE

public static final float AL_FLANGER_DEFAULT_RATE

See Also:
  - Constant Field Values

### AL_FLANGER_MIN_DEPTH

public static final float AL_FLANGER_MIN_DEPTH

See Also:
  - Constant Field Values

### AL_FLANGER_MAX_DEPTH

public static final float AL_FLANGER_MAX_DEPTH

See Also:
  - Constant Field Values

### AL_FLANGER_DEFAULT_DEPTH

public static final float AL_FLANGER_DEFAULT_DEPTH

See Also:
  - Constant Field Values

### AL_FLANGER_MIN_FEEDBACK

public static final float AL_FLANGER_MIN_FEEDBACK

See Also:
  - Constant Field Values

### AL_FLANGER_MAX_FEEDBACK

public static final float AL_FLANGER_MAX_FEEDBACK

See Also:
  - Constant Field Values

### AL_FLANGER_DEFAULT_FEEDBACK

public static final float AL_FLANGER_DEFAULT_FEEDBACK

See Also:
  - Constant Field Values

### AL_FLANGER_MIN_DELAY

public static final float AL_FLANGER_MIN_DELAY

See Also:
  - Constant Field Values

### AL_FLANGER_MAX_DELAY

public static final float AL_FLANGER_MAX_DELAY

See Also:
  - Constant Field Values

### AL_FLANGER_DEFAULT_DELAY

public static final float AL_FLANGER_DEFAULT_DELAY

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_MIN_FREQUENCY

public static final float AL_FREQUENCY_SHIFTER_MIN_FREQUENCY

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_MAX_FREQUENCY

public static final float AL_FREQUENCY_SHIFTER_MAX_FREQUENCY

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_DEFAULT_FREQUENCY

public static final float AL_FREQUENCY_SHIFTER_DEFAULT_FREQUENCY

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_MIN_LEFT_DIRECTION

public static final int AL_FREQUENCY_SHIFTER_MIN_LEFT_DIRECTION

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_MAX_LEFT_DIRECTION

public static final int AL_FREQUENCY_SHIFTER_MAX_LEFT_DIRECTION

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_DEFAULT_LEFT_DIRECTION

public static final int AL_FREQUENCY_SHIFTER_DEFAULT_LEFT_DIRECTION

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_DIRECTION_DOWN

public static final int AL_FREQUENCY_SHIFTER_DIRECTION_DOWN

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_DIRECTION_UP

public static final int AL_FREQUENCY_SHIFTER_DIRECTION_UP

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_DIRECTION_OFF

public static final int AL_FREQUENCY_SHIFTER_DIRECTION_OFF

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_MIN_RIGHT_DIRECTION

public static final int AL_FREQUENCY_SHIFTER_MIN_RIGHT_DIRECTION

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_MAX_RIGHT_DIRECTION

public static final int AL_FREQUENCY_SHIFTER_MAX_RIGHT_DIRECTION

See Also:
  - Constant Field Values

### AL_FREQUENCY_SHIFTER_DEFAULT_RIGHT_DIRECTION

public static final int AL_FREQUENCY_SHIFTER_DEFAULT_RIGHT_DIRECTION

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MIN_PHONEMEA

public static final int AL_VOCAL_MORPHER_MIN_PHONEMEA

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MAX_PHONEMEA

public static final int AL_VOCAL_MORPHER_MAX_PHONEMEA

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_DEFAULT_PHONEMEA

public static final int AL_VOCAL_MORPHER_DEFAULT_PHONEMEA

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MIN_PHONEMEA_COARSE_TUNING

public static final int AL_VOCAL_MORPHER_MIN_PHONEMEA_COARSE_TUNING

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MAX_PHONEMEA_COARSE_TUNING

public static final int AL_VOCAL_MORPHER_MAX_PHONEMEA_COARSE_TUNING

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_DEFAULT_PHONEMEA_COARSE_TUNING

public static final int AL_VOCAL_MORPHER_DEFAULT_PHONEMEA_COARSE_TUNING

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MIN_PHONEMEB

public static final int AL_VOCAL_MORPHER_MIN_PHONEMEB

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MAX_PHONEMEB

public static final int AL_VOCAL_MORPHER_MAX_PHONEMEB

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_DEFAULT_PHONEMEB

public static final int AL_VOCAL_MORPHER_DEFAULT_PHONEMEB

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MIN_PHONEMEB_COARSE_TUNING

public static final int AL_VOCAL_MORPHER_MIN_PHONEMEB_COARSE_TUNING

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MAX_PHONEMEB_COARSE_TUNING

public static final int AL_VOCAL_MORPHER_MAX_PHONEMEB_COARSE_TUNING

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_DEFAULT_PHONEMEB_COARSE_TUNING

public static final int AL_VOCAL_MORPHER_DEFAULT_PHONEMEB_COARSE_TUNING

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_A

public static final int AL_VOCAL_MORPHER_PHONEME_A

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_E

public static final int AL_VOCAL_MORPHER_PHONEME_E

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_I

public static final int AL_VOCAL_MORPHER_PHONEME_I

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_O

public static final int AL_VOCAL_MORPHER_PHONEME_O

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_U

public static final int AL_VOCAL_MORPHER_PHONEME_U

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_AA

public static final int AL_VOCAL_MORPHER_PHONEME_AA

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_AE

public static final int AL_VOCAL_MORPHER_PHONEME_AE

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_AH

public static final int AL_VOCAL_MORPHER_PHONEME_AH

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_AO

public static final int AL_VOCAL_MORPHER_PHONEME_AO

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_EH

public static final int AL_VOCAL_MORPHER_PHONEME_EH

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_ER

public static final int AL_VOCAL_MORPHER_PHONEME_ER

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_IH

public static final int AL_VOCAL_MORPHER_PHONEME_IH

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_IY

public static final int AL_VOCAL_MORPHER_PHONEME_IY

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_UH

public static final int AL_VOCAL_MORPHER_PHONEME_UH

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_UW

public static final int AL_VOCAL_MORPHER_PHONEME_UW

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_B

public static final int AL_VOCAL_MORPHER_PHONEME_B

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_D

public static final int AL_VOCAL_MORPHER_PHONEME_D

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_F

public static final int AL_VOCAL_MORPHER_PHONEME_F

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_G

public static final int AL_VOCAL_MORPHER_PHONEME_G

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_J

public static final int AL_VOCAL_MORPHER_PHONEME_J

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_K

public static final int AL_VOCAL_MORPHER_PHONEME_K

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_L

public static final int AL_VOCAL_MORPHER_PHONEME_L

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_M

public static final int AL_VOCAL_MORPHER_PHONEME_M

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_N

public static final int AL_VOCAL_MORPHER_PHONEME_N

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_P

public static final int AL_VOCAL_MORPHER_PHONEME_P

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_R

public static final int AL_VOCAL_MORPHER_PHONEME_R

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_S

public static final int AL_VOCAL_MORPHER_PHONEME_S

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_T

public static final int AL_VOCAL_MORPHER_PHONEME_T

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_V

public static final int AL_VOCAL_MORPHER_PHONEME_V

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_PHONEME_Z

public static final int AL_VOCAL_MORPHER_PHONEME_Z

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_WAVEFORM_SINUSOID

public static final int AL_VOCAL_MORPHER_WAVEFORM_SINUSOID

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_WAVEFORM_TRIANGLE

public static final int AL_VOCAL_MORPHER_WAVEFORM_TRIANGLE

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_WAVEFORM_SAWTOOTH

public static final int AL_VOCAL_MORPHER_WAVEFORM_SAWTOOTH

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MIN_WAVEFORM

public static final int AL_VOCAL_MORPHER_MIN_WAVEFORM

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MAX_WAVEFORM

public static final int AL_VOCAL_MORPHER_MAX_WAVEFORM

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_DEFAULT_WAVEFORM

public static final int AL_VOCAL_MORPHER_DEFAULT_WAVEFORM

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MIN_RATE

public static final float AL_VOCAL_MORPHER_MIN_RATE

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_MAX_RATE

public static final float AL_VOCAL_MORPHER_MAX_RATE

See Also:
  - Constant Field Values

### AL_VOCAL_MORPHER_DEFAULT_RATE

public static final float AL_VOCAL_MORPHER_DEFAULT_RATE

See Also:
  - Constant Field Values

### AL_PITCH_SHIFTER_MIN_COARSE_TUNE

public static final int AL_PITCH_SHIFTER_MIN_COARSE_TUNE

See Also:
  - Constant Field Values

### AL_PITCH_SHIFTER_MAX_COARSE_TUNE

public static final int AL_PITCH_SHIFTER_MAX_COARSE_TUNE

See Also:
  - Constant Field Values

### AL_PITCH_SHIFTER_DEFAULT_COARSE_TUNE

public static final int AL_PITCH_SHIFTER_DEFAULT_COARSE_TUNE

See Also:
  - Constant Field Values

### AL_PITCH_SHIFTER_MIN_FINE_TUNE

public static final int AL_PITCH_SHIFTER_MIN_FINE_TUNE

See Also:
  - Constant Field Values

### AL_PITCH_SHIFTER_MAX_FINE_TUNE

public static final int AL_PITCH_SHIFTER_MAX_FINE_TUNE

See Also:
  - Constant Field Values

### AL_PITCH_SHIFTER_DEFAULT_FINE_TUNE

public static final int AL_PITCH_SHIFTER_DEFAULT_FINE_TUNE

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_MIN_FREQUENCY

public static final float AL_RING_MODULATOR_MIN_FREQUENCY

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_MAX_FREQUENCY

public static final float AL_RING_MODULATOR_MAX_FREQUENCY

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_DEFAULT_FREQUENCY

public static final float AL_RING_MODULATOR_DEFAULT_FREQUENCY

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_MIN_HIGHPASS_CUTOFF

public static final float AL_RING_MODULATOR_MIN_HIGHPASS_CUTOFF

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_MAX_HIGHPASS_CUTOFF

public static final float AL_RING_MODULATOR_MAX_HIGHPASS_CUTOFF

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_DEFAULT_HIGHPASS_CUTOFF

public static final float AL_RING_MODULATOR_DEFAULT_HIGHPASS_CUTOFF

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_SINUSOID

public static final int AL_RING_MODULATOR_SINUSOID

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_SAWTOOTH

public static final int AL_RING_MODULATOR_SAWTOOTH

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_SQUARE

public static final int AL_RING_MODULATOR_SQUARE

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_MIN_WAVEFORM

public static final int AL_RING_MODULATOR_MIN_WAVEFORM

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_MAX_WAVEFORM

public static final int AL_RING_MODULATOR_MAX_WAVEFORM

See Also:
  - Constant Field Values

### AL_RING_MODULATOR_DEFAULT_WAVEFORM

public static final int AL_RING_MODULATOR_DEFAULT_WAVEFORM

See Also:
  - Constant Field Values

### AL_AUTOWAH_MIN_ATTACK_TIME

public static final float AL_AUTOWAH_MIN_ATTACK_TIME

See Also:
  - Constant Field Values

### AL_AUTOWAH_MAX_ATTACK_TIME

public static final float AL_AUTOWAH_MAX_ATTACK_TIME

See Also:
  - Constant Field Values

### AL_AUTOWAH_DEFAULT_ATTACK_TIME

public static final float AL_AUTOWAH_DEFAULT_ATTACK_TIME

See Also:
  - Constant Field Values

### AL_AUTOWAH_MIN_RELEASE_TIME

public static final float AL_AUTOWAH_MIN_RELEASE_TIME

See Also:
  - Constant Field Values

### AL_AUTOWAH_MAX_RELEASE_TIME

public static final float AL_AUTOWAH_MAX_RELEASE_TIME

See Also:
  - Constant Field Values

### AL_AUTOWAH_DEFAULT_RELEASE_TIME

public static final float AL_AUTOWAH_DEFAULT_RELEASE_TIME

See Also:
  - Constant Field Values

### AL_AUTOWAH_MIN_RESONANCE

public static final float AL_AUTOWAH_MIN_RESONANCE

See Also:
  - Constant Field Values

### AL_AUTOWAH_MAX_RESONANCE

public static final float AL_AUTOWAH_MAX_RESONANCE

See Also:
  - Constant Field Values

### AL_AUTOWAH_DEFAULT_RESONANCE

public static final float AL_AUTOWAH_DEFAULT_RESONANCE

See Also:
  - Constant Field Values

### AL_AUTOWAH_MIN_PEAK_GAIN

public static final float AL_AUTOWAH_MIN_PEAK_GAIN

See Also:
  - Constant Field Values

### AL_AUTOWAH_MAX_PEAK_GAIN

public static final float AL_AUTOWAH_MAX_PEAK_GAIN

See Also:
  - Constant Field Values

### AL_AUTOWAH_DEFAULT_PEAK_GAIN

public static final float AL_AUTOWAH_DEFAULT_PEAK_GAIN

See Also:
  - Constant Field Values

### AL_COMPRESSOR_MIN_ONOFF

public static final int AL_COMPRESSOR_MIN_ONOFF

See Also:
  - Constant Field Values

### AL_COMPRESSOR_MAX_ONOFF

public static final int AL_COMPRESSOR_MAX_ONOFF

See Also:
  - Constant Field Values

### AL_COMPRESSOR_DEFAULT_ONOFF

public static final int AL_COMPRESSOR_DEFAULT_ONOFF

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_LOW_GAIN

public static final float AL_EQUALIZER_MIN_LOW_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_LOW_GAIN

public static final float AL_EQUALIZER_MAX_LOW_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_LOW_GAIN

public static final float AL_EQUALIZER_DEFAULT_LOW_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_LOW_CUTOFF

public static final float AL_EQUALIZER_MIN_LOW_CUTOFF

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_LOW_CUTOFF

public static final float AL_EQUALIZER_MAX_LOW_CUTOFF

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_LOW_CUTOFF

public static final float AL_EQUALIZER_DEFAULT_LOW_CUTOFF

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_MID1_GAIN

public static final float AL_EQUALIZER_MIN_MID1_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_MID1_GAIN

public static final float AL_EQUALIZER_MAX_MID1_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_MID1_GAIN

public static final float AL_EQUALIZER_DEFAULT_MID1_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_MID1_CENTER

public static final float AL_EQUALIZER_MIN_MID1_CENTER

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_MID1_CENTER

public static final float AL_EQUALIZER_MAX_MID1_CENTER

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_MID1_CENTER

public static final float AL_EQUALIZER_DEFAULT_MID1_CENTER

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_MID1_WIDTH

public static final float AL_EQUALIZER_MIN_MID1_WIDTH

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_MID1_WIDTH

public static final float AL_EQUALIZER_MAX_MID1_WIDTH

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_MID1_WIDTH

public static final float AL_EQUALIZER_DEFAULT_MID1_WIDTH

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_MID2_GAIN

public static final float AL_EQUALIZER_MIN_MID2_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_MID2_GAIN

public static final float AL_EQUALIZER_MAX_MID2_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_MID2_GAIN

public static final float AL_EQUALIZER_DEFAULT_MID2_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_MID2_CENTER

public static final float AL_EQUALIZER_MIN_MID2_CENTER

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_MID2_CENTER

public static final float AL_EQUALIZER_MAX_MID2_CENTER

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_MID2_CENTER

public static final float AL_EQUALIZER_DEFAULT_MID2_CENTER

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_MID2_WIDTH

public static final float AL_EQUALIZER_MIN_MID2_WIDTH

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_MID2_WIDTH

public static final float AL_EQUALIZER_MAX_MID2_WIDTH

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_MID2_WIDTH

public static final float AL_EQUALIZER_DEFAULT_MID2_WIDTH

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_HIGH_GAIN

public static final float AL_EQUALIZER_MIN_HIGH_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_HIGH_GAIN

public static final float AL_EQUALIZER_MAX_HIGH_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_HIGH_GAIN

public static final float AL_EQUALIZER_DEFAULT_HIGH_GAIN

See Also:
  - Constant Field Values

### AL_EQUALIZER_MIN_HIGH_CUTOFF

public static final float AL_EQUALIZER_MIN_HIGH_CUTOFF

See Also:
  - Constant Field Values

### AL_EQUALIZER_MAX_HIGH_CUTOFF

public static final float AL_EQUALIZER_MAX_HIGH_CUTOFF

See Also:
  - Constant Field Values

### AL_EQUALIZER_DEFAULT_HIGH_CUTOFF

public static final float AL_EQUALIZER_DEFAULT_HIGH_CUTOFF

See Also:
  - Constant Field Values

### LOWPASS_MIN_GAIN

public static final float LOWPASS_MIN_GAIN

See Also:
  - Constant Field Values

### LOWPASS_MAX_GAIN

public static final float LOWPASS_MAX_GAIN

See Also:
  - Constant Field Values

### LOWPASS_DEFAULT_GAIN

public static final float LOWPASS_DEFAULT_GAIN

See Also:
  - Constant Field Values

### LOWPASS_MIN_GAINHF

public static final float LOWPASS_MIN_GAINHF

See Also:
  - Constant Field Values

### LOWPASS_MAX_GAINHF

public static final float LOWPASS_MAX_GAINHF

See Also:
  - Constant Field Values

### LOWPASS_DEFAULT_GAINHF

public static final float LOWPASS_DEFAULT_GAINHF

See Also:
  - Constant Field Values

### HIGHPASS_MIN_GAIN

public static final float HIGHPASS_MIN_GAIN

See Also:
  - Constant Field Values

### HIGHPASS_MAX_GAIN

public static final float HIGHPASS_MAX_GAIN

See Also:
  - Constant Field Values

### HIGHPASS_DEFAULT_GAIN

public static final float HIGHPASS_DEFAULT_GAIN

See Also:
  - Constant Field Values

### HIGHPASS_MIN_GAINLF

public static final float HIGHPASS_MIN_GAINLF

See Also:
  - Constant Field Values

### HIGHPASS_MAX_GAINLF

public static final float HIGHPASS_MAX_GAINLF

See Also:
  - Constant Field Values

### HIGHPASS_DEFAULT_GAINLF

public static final float HIGHPASS_DEFAULT_GAINLF

See Also:
  - Constant Field Values

### BANDPASS_MIN_GAIN

public static final float BANDPASS_MIN_GAIN

See Also:
  - Constant Field Values

### BANDPASS_MAX_GAIN

public static final float BANDPASS_MAX_GAIN

See Also:
  - Constant Field Values

### BANDPASS_DEFAULT_GAIN

public static final float BANDPASS_DEFAULT_GAIN

See Also:
  - Constant Field Values

### BANDPASS_MIN_GAINHF

public static final float BANDPASS_MIN_GAINHF

See Also:
  - Constant Field Values

### BANDPASS_MAX_GAINHF

public static final float BANDPASS_MAX_GAINHF

See Also:
  - Constant Field Values

### BANDPASS_DEFAULT_GAINHF

public static final float BANDPASS_DEFAULT_GAINHF

See Also:
  - Constant Field Values

### BANDPASS_MIN_GAINLF

public static final float BANDPASS_MIN_GAINLF

See Also:
  - Constant Field Values

### BANDPASS_MAX_GAINLF

public static final float BANDPASS_MAX_GAINLF

See Also:
  - Constant Field Values

### BANDPASS_DEFAULT_GAINLF

public static final float BANDPASS_DEFAULT_GAINLF

See Also:
  - Constant Field Values

## Method Details

### alGenAuxiliaryEffectSlots

public static void alGenAuxiliaryEffectSlots(IntBuffer auxiliaryeffectslots)

### alGenAuxiliaryEffectSlots

public static int alGenAuxiliaryEffectSlots()
Overloads alGenAuxiliaryEffectSlots.

### alDeleteAuxiliaryEffectSlots

public static void alDeleteAuxiliaryEffectSlots(IntBuffer auxiliaryeffectslots)

### alDeleteAuxiliaryEffectSlots

public static void alDeleteAuxiliaryEffectSlots(int auxiliaryeffectslot)
Overloads alDeleteAuxiliaryEffectSlots.

### alIsAuxiliaryEffectSlot

public static boolean alIsAuxiliaryEffectSlot(int auxiliaryeffectslot)

### alAuxiliaryEffectSloti

public static void alAuxiliaryEffectSloti(int auxiliaryeffectslot, int param, int value)

### alAuxiliaryEffectSlot

public static void alAuxiliaryEffectSlot(int auxiliaryeffectslot, int param, IntBuffer values)

### alAuxiliaryEffectSlotf

public static void alAuxiliaryEffectSlotf(int auxiliaryeffectslot, int param, float value)

### alAuxiliaryEffectSlot

public static void alAuxiliaryEffectSlot(int auxiliaryeffectslot, int param, FloatBuffer values)

### alGetAuxiliaryEffectSloti

public static int alGetAuxiliaryEffectSloti(int auxiliaryeffectslot, int param)

### alGetAuxiliaryEffectSlot

public static void alGetAuxiliaryEffectSlot(int auxiliaryeffectslot, int param, IntBuffer intdata)

### alGetAuxiliaryEffectSlotf

public static float alGetAuxiliaryEffectSlotf(int auxiliaryeffectslot, int param)

### alGetAuxiliaryEffectSlot

public static void alGetAuxiliaryEffectSlot(int auxiliaryeffectslot, int param, FloatBuffer floatdata)

### alGenEffects

public static void alGenEffects(IntBuffer effects)

### alGenEffects

public static int alGenEffects()
Overloads alGenEffects.

### alDeleteEffects

public static void alDeleteEffects(IntBuffer effects)

### alDeleteEffects

public static void alDeleteEffects(int effect)
Overloads alDeleteEffects.

### alIsEffect

public static boolean alIsEffect(int effect)

### alEffecti

public static void alEffecti(int effect, int param, int value)

### alEffect

public static void alEffect(int effect, int param, IntBuffer values)

### alEffectf

public static void alEffectf(int effect, int param, float value)

### alEffect

public static void alEffect(int effect, int param, FloatBuffer values)

### alGetEffecti

public static int alGetEffecti(int effect, int param)

### alGetEffect

public static void alGetEffect(int effect, int param, IntBuffer intdata)

### alGetEffectf

public static float alGetEffectf(int effect, int param)

### alGetEffect

public static void alGetEffect(int effect, int param, FloatBuffer floatdata)

### alGenFilters

public static void alGenFilters(IntBuffer filters)

### alGenFilters

public static int alGenFilters()
Overloads alGenFilters.

### alDeleteFilters

public static void alDeleteFilters(IntBuffer filters)

### alDeleteFilters

public static void alDeleteFilters(int filter)
Overloads alDeleteFilters.

### alIsFilter

public static boolean alIsFilter(int filter)

### alFilteri

public static void alFilteri(int filter, int param, int value)

### alFilter

public static void alFilter(int filter, int param, IntBuffer values)

### alFilterf

public static void alFilterf(int filter, int param, float value)

### alFilter

public static void alFilter(int filter, int param, FloatBuffer values)

### alGetFilteri

public static int alGetFilteri(int filter, int param)

### alGetFilter

public static void alGetFilter(int filter, int param, IntBuffer intdata)

### alGetFilterf

public static float alGetFilterf(int filter, int param)

### alGetFilter

public static void alGetFilter(int filter, int param, FloatBuffer floatdata)